(function ($) {
  "use strict";

  // deposit-withdraw-chart
  const deposit_withdraw_chart_options = {
    series: [
      {
        name: "Deposit",
        data: [300, 220, 420, 350, 460, 320, 150],
      },
      {
        name: "Withdraw",
        data: [180, 380, 280, 460, 310, 150, 270],
      },
    ],
    chart: {
      height: 350,
      type: "area",
      toolbar: {
        show: false,
      },
    },
    dataLabels: {
      enabled: false,
    },
    stroke: {
      curve: "smooth",
    },
    xaxis: {
      type: "week",
      categories: ["Sat", "Sun", "Mon", "Tue", "Wed", "Thu", "Fri"],
    },
    yaxis: {
      show: true,
      min: 100,
      max: 500,
      tickAmount: 4,
      labels: {
        formatter: (val) => {
          return `$${val}`;
        },
      },
    },
  };

  if ($("#deposit-withdraw-chart").length > 0) {
    var chart = new ApexCharts(
      document.querySelector("#deposit-withdraw-chart"),
      deposit_withdraw_chart_options
    );
    chart.render();
  }

  // withdrawal-status-chart
  const withdrawal_status_chart_options = {
    series: [70],
    chart: {
      height: 350,
      type: "radialBar",
    },
    plotOptions: {
      radialBar: {
        hollow: {
          size: "70%",
        },
      },
    },
    labels: ["Withdraw"],
    fill: {
      colors: ["#1626B5"],
    },
  };

  if ($("#withdrawal-status-chart").length > 0) {
    var chart = new ApexCharts(
      document.querySelector("#withdrawal-status-chart"),
      withdrawal_status_chart_options
    );
    chart.render();
  }

  // month-history-chart
  var month_history_chart_options = {
    series: [
      {
        name: "Deposit",
        data: [500, 310, 480, 380, 460, 500],
      },
      {
        name: "Withdraw",
        data: [420, 290, 350, 230, 390, 410],
      },
    ],
    chart: {
      type: "bar",
      height: 385,
      toolbar: {
        show: false,
      },
    },
    plotOptions: {
      bar: {
        horizontal: true,
        dataLabels: {
          position: "top",
        },
        borderRadius: 5,
        barHeight: "40%",
      },
    },
    dataLabels: {
      enabled: true,
      offsetX: -6,
      style: {
        fontSize: "12px",
        colors: ["#fff"],
      },
    },
    stroke: {
      show: true,
      width: 1,
      colors: ["#fff"],
    },
    tooltip: {
      shared: true,
      intersect: false,
    },
    xaxis: {
      categories: ["Jan", "Feb", "Mar", "Apr", "May", "Jun"],
      min: 100,
      max: 500,
      tickAmount: 4,
      labels: {
        formatter: (val) => {
          return `$${val}`;
        },
      },
    },
  };

  if ($("#month-history-chart").length > 0) {
    var chart = new ApexCharts(
      document.querySelector("#month-history-chart"),
      month_history_chart_options
    );
    chart.render();
  }

  //end
})(jQuery);
