<?php

namespace App\Http\Controllers;

use App\Models\BlogPost;
use App\Models\BlogPostComment;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class BlogPostController extends Controller
{
    public function show($slug){
        $blogPost = BlogPost::where([['slug',$slug],['status',1]])->firstOrFail();
        return view('pages.blog-details',compact('blogPost'));
    }

    public function comment(Request $request, BlogPost $blogPost){
        $request->validate([
            'comment'=>'required|string'
        ]);
        $blogComment=BlogPostComment::create(['blog_post_id'=>$blogPost->id,'user_id'=>Auth::id(), 'comment'=>$request->comment]);
        if (!$blogComment) return redirect()->back()->withErrors('Something went wrong, please try again later');
        return redirect()->back()->withSuccess('Your comment submitted successfully');
    }
}
