<?php

namespace App\Http\Controllers;

use App\Mail\ContactUs;
use App\Models\Subscriber;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Mail;

class GuestUserController extends Controller
{
    public function subscribe(Request $request){
        $request->validate([
            'email'=>'required|email'
        ]);
        $check=Subscriber::where('email',$request->email)->count();
        if ($check>0){
            return redirect()->back()->withSuccess('You are already subscribed');
        }
        $subscribe = Subscriber::create(['email'=>$request->email]);
        if (!$subscribe) return redirect()->back()->withErrors('Something went wrong, please try again later');
        return redirect()->back()->withSuccess('You are subscribed successfully');
    }

    public function contactUs(Request $request){
        $request->validate([
            'name'=>'required|string',
            'email'=>'required|email',
            'message'=>'required|string',
        ]);

        try {
            Mail::to(get_option('contact_email_address',config('mail.from.address')))->send(new ContactUs($request->all()));
            return redirect()->back()->withSuccess('Your message send successfully. Thanks for contacting with us.');
        } catch (\Exception $e){
            return redirect()->back()->withErrors('Something went wrong, please try again later');
        }
    }
}
