<?php

namespace App\Http\Controllers\User;

use App\Http\Controllers\Controller;
use Carbon\Carbon;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Notification;
use App\Models\Notification as UserNotification;

class NotificationController extends Controller
{
    public function index(Request $request)
    {
        $notifications = Auth::user()->unreadNotifications()->paginate(10);
        return view('user.notification.index',compact('notifications'));
    }

    public function show($notificationID)
    {
        $notification = UserNotification::where([['id',$notificationID],['notifiable_id',Auth::id()]])->firstOrfail();
        $notification->update(['read_at'=>Carbon::now()]);
        $notificationData = json_decode($notification->data,true);
        if (isset($notificationData['action']) && !is_null($notificationData['action'])){
            return redirect($notificationData['action']);
        }
        return redirect()->back();
    }

    public function clearAll(){
        Auth::user()->unreadNotifications->markAsRead();
        return redirect()->back();
    }
}
