<?php

namespace App\Http\Middleware;

use Illuminate\Auth\Middleware\Authenticate as Middleware;

class Authenticate extends Middleware
{
    /**
     * Get the path the user should be redirected to when they are not authenticated.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return string|null
     */
    protected function redirectTo($request)
    {
        $prefix = trim($request->route()->getPrefix(), '/');
        $seg = explode('/', $prefix);

        if (!$request->expectsJson()) {
            if (in_array($seg[0], ['staff'])) return route($seg[0] . '.login');
            return route('login');
        }
    }
}
