<?php

namespace App\Listeners;

use App\Events\UserRegistered;
use App\Models\Currency;
use App\Models\Wallet;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Support\Facades\DB;

class UserRegisteredEventListener
{
    /**
     * Create the event listener.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Handle the event.
     *
     * @param  UserRegistered  $event
     * @return void
     */
    public function handle(UserRegistered $event)
    {
        $user = $event->user;
        $currencies = Currency::where('status',1)->get();
        DB::beginTransaction();
        try {
            foreach ($currencies as $currency){
                Wallet::firstOrCreate([
                    'user_id'=>$user->id,
                    'currency_id'=>$currency->id
                ]);
            }
            DB::commit();
        } catch (\Exception $exception) {
            DB::rollBack();
        }
    }
}
