<?php

namespace App\Models;

use App\Helpers\MenuAble;
use App\Helpers\Translatable;
use Illuminate\Database\Eloquent\Model;

class BlogPost extends Model
{
    use Translatable, MenuAble;
    protected $translatable_columns = ['title', 'details', 'summery'];
    protected $guarded = ['id'];

    function tags()
    {
        return $this->belongsToMany(Tag::class, 'blog_post_tags');
    }

    function comments(){
        return $this->hasMany(BlogPostComment::class,'blog_post_id','id');
    }
}
