<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Model;

class Language extends Model
{
    protected $guarded = ['id'];

    protected static function boot()
    {
        parent::boot();
        $prefix = trim(request()->route()->getPrefix(), '/');
        $seg = explode('/', $prefix);
        $prefix = $seg[0];

        if (!in_array($prefix, ['staff'])) {
            static::addGlobalScope('security', function (Builder $builder) {
                $builder->where('status', '!=', 0);
            });
        }

    }

    public static function generateDefaultLanguage(){
        $defaultLanguage = Language::where([['status',1],['is_default',1]])->first();
        if (!$defaultLanguage){
            Language::firstOrCreate(
                ['code' => 'en'],
                ['name' => 'English', 'status' => 1, 'is_default' => 1]
            );
        }
    }

    static function getDefaultLanguage()
    {
        return self::query()->where('is_default', 1)->where('status', 1)->first();
    }
}
