<?php

namespace App\Models;

use App\Helpers\Translatable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class MenuItem extends Model
{
    use HasFactory, Translatable;

    protected $translatable_columns = ['text'];
    protected $fillable = ['menu_id', 'text', 'url', 'target', 'type', 'parent_id', 'order'];

    public function children()
    {
        return $this->hasMany('App\Models\MenuItem','parent_id')->with('children');
    }

    public function menu()
    {
        return $this->belongsTo('App\Models\Menu');
    }
}
