<?php

namespace App\Models;

use App\Helpers\MenuAble;
use App\Helpers\MetaHolder;
use App\Helpers\Translatable;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Route;

class Page extends Model
{
    use MetaHolder, Translatable, MenuAble;

    protected $guarded = ['id'];
    protected $translatable_columns = ['title', 'content'];

    function getItemText()
    {
        return $this->title;
    }

    function getItemUrl()
    {
        return '/' .$this->slug;
    }

    static function menurecords()
    {
        return self::where('status', 1)->get();
    }

    static function createBuiltin()
    {
        $pages = [
            [
                'title' => 'FAQ',
                'slug' => 'faq',
                'type' => 'faq',
                'content' => null,
                'status' => 1
            ],
            [
                'title' => 'About Us',
                'slug' => 'about-us',
                'type' => 'about-us',
                'content' => null,
                'status' => 1
            ],
            [
                'title' => 'Contact Us',
                'slug' => 'contact-us',
                'type' => 'contact-us',
                'content' => null,
                'status' => 1
            ],
            [
                'title' => 'Blog Page',
                'slug' => 'blog-posts',
                'type' => 'blog-posts',
                'content' => null,
                'status' => 1
            ]
        ];

        foreach ($pages as $page) {
            self::create($page);
        }
    }
}
