<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class PaymentGateway extends Model
{
    use HasFactory;

    protected $guarded = ['id'];
    protected $casts = ['credentials' => 'array'];
    protected $hidden = ['credentials', 'payment_method'];
    protected $appends = ['image'];

    public function currency()
    {
        return $this->belongsTo('App\Models\Currency', 'currency_id');
    }

    function getImageAttribute($image)
    {
        if (empty($image)) {
            $image = 'http://via.placeholder.com/200/0000FF/ffffff?text=' . urlencode($this->name);
        }
        return $image;
    }
}
