<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class PaymentRequest extends Model
{
    use HasFactory;

    protected $fillable = ['by_id','to_id','currency_id','amount','note','status'];

    public function requestBy(){
        return $this->belongsTo(User::class,'by_id');
    }

    public function requestTo(){
        return $this->belongsTo(User::class,'to_id');
    }

    public function currency(){
        return $this->belongsTo(Currency::class,'currency_id');
    }
}
