<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Role extends Model
{
    protected $guarded = ['id'];
    public $timestamps = false;
    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'caps' => 'array',
    ];

    function users()
    {
        return $this->hasMany(User::class, 'role_id', 'id');
    }

    function staffs()
    {
        return $this->hasMany(Staff::class, 'role_id', 'id');
    }

    function inputs()
    {
        return $this->morphMany(Input::class, 'belongs_to');
    }

    public static function generateDefaultUserRole()
    {
        $defaultUserRole = Role::where([['for', 'user'], ['status', 1], ['is_default', 1]])->first();
        if (!$defaultUserRole) {
            Role::create(
                ['for' => 'user', 'name' => 'General User'],
                ['status' => 1, 'is_default' => 1]
            );
        }
    }
}
