<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Str;

class Store extends Model
{
    use HasFactory;

    protected $fillable = ['user_id','name','api_key','api_secret'];

    static function generateApiKey()
    {
        $key = Str::random(50);
        $exists = self::query()->where('api_key', $key)->count();
        while ($exists) {
            $key = Str::random(50);
            $exists = self::query()->where('api_key', $key)->count();
        }
        return $key;
    }

    static function generateApiSecret()
    {
        $secret = Str::random(50);
        $exists = self::query()->where('api_secret', $secret)->count();
        while ($exists) {
            $secret = Str::random(50);
            $exists = self::query()->where('api_secret', $secret)->count();
        }
        return $secret;
    }

    public function payment_gateways(){
        return $this->belongsToMany(PaymentGateway::class, 'store_payment_gateways','store_id','payment_gateway_id');
    }

    public function payments(){
        return $this->hasMany(Payment::class, 'store_id', 'id');
    }
}
