<?php

namespace App\Models;

use App\Casts\CurrencyCast;
use App\Models\WithdrawMethod;
use App\Models\InputValue;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Withdraw extends Model
{
    use HasFactory;
    protected $guarded = ['id'];
    protected $casts = [
        'fields' => 'array',
        'amount' => CurrencyCast::class,
        'charge' => CurrencyCast::class
    ];

    public function user()
    {
        return $this->morphTo();
    }

    public function method()
    {
        return $this->belongsTo(WithdrawMethod::class, 'withdraw_method_id', 'id');
    }

    public function wallet()
    {
        return $this->belongsTo(Wallet::class, 'wallet_id', 'id');
    }

    function inputValues()
    {
        return $this->morphMany(InputValue::class, 'belongs_to');
    }
}
