<?php

namespace App\PaymentMethods;

use App\Models\Deposit;
use App\Models\Payment;
use Illuminate\Http\Request;

abstract class PaymentMethod
{
    public $supported_currencies = ['USD'];
    public $credentials = ['user_email'];

    /**
     * @param \App\Models\PaymentGateway $dbMethod
     * @param Deposit|Payment $payment
     */
    function process(\App\Models\PaymentGateway $dbMethod, $payment)
    {

    }

    /**
     * @param Request $request
     * @param \App\Models\PaymentGateway $dbMethod
     * @param Deposit|Payment $payment
     */
    function ipn(Request $request, \App\Models\PaymentGateway $dbMethod, $payment)
    {

    }
}
