<?php

namespace App\Providers;

use App\View\Composers\BlogPostsComposer;
use App\View\Composers\FaqComposer;
use App\View\Composers\HomePageComposer;
use App\View\Composers\RecentBlogPost;
use Illuminate\Support\Facades\View;
use Illuminate\Support\ServiceProvider;

class ViewServiceProvider extends ServiceProvider
{
    /**
     * Register services.
     *
     * @return void
     */
    public function register()
    {
        //
    }

    /**
     * Bootstrap services.
     *
     * @return void
     */
    public function boot()
    {
        View::composer('pages.blog-posts', BlogPostsComposer::class);
        View::composer('pages.layouts.faq-list', FaqComposer::class);
        View::composer('pages.partials.recent-blog-posts', RecentBlogPost::class);
        View::composer('pages.index', HomePageComposer::class);
    }
}
