<?php

namespace App\View\Composers;

use App\Models\KeyFeature;
use App\Models\OurService;
use App\Models\WorkFlow;
use Illuminate\View\View;

class HomePageComposer
{
    /**
     * Create a new profile composer.
     *
     * @return void
     */
    public function __construct()
    {
        // Dependencies are automatically resolved by the service container...
    }

    /**
     * Bind data to the view.
     *
     * @param  \Illuminate\View\View  $view
     * @return void
     */
    public function compose(View $view)
    {
        $keyFeatures = KeyFeature::all();
        $ourServices = OurService::all();
        $workFlows = WorkFlow::all();
        $view->with('keyFeatures', $keyFeatures)->with('ourServices', $ourServices)->with('workFlows', $workFlows);
    }
}
