<?php
return [
    'global' => [
        'title' => 'Global Email',
        'params' => ['name' => 'Will replace by user name', 'message' => 'Original Message'],
        'content' => 'Hello [name], [message]'
    ],
    'verify' => [
        'title' => 'Email Verification OTP',
        'params' => ['name' => 'Will replace by user name', 'otp' => 'Verification OTP'],
        'content' => 'Hello [name], Your email verification OTP is [otp]'
    ],
    'reset_password' => [
        'title' => 'Password Reset OTP',
        'params' => ['name' => 'Will replace by user name', 'otp' => 'Password Reset OTP OTP'],
        'content' => 'Hello [name], Your password reset OTP is [otp]'
    ],
    'new_order' => [
        'title' => 'Order Placed Successfully',
        'params' => [
            'id' => 'Order ID',
            'coupon_code' => 'Coupon Code',
            'discount' => 'Applied Discount',
            'currency.code' => 'Default Currency Code',
            'currency.symbol' => 'Default Currency Symbol',
            'shipping_method_name' => 'Shipping Method Name',
            'shipping_charge' => 'Applied Shipping Charge',
            'status' => 'Order Status. pending|processing|on the way|delivered|hold|canceled',
            'created_at' => 'Order Creating Time. Format: M d, Y h:i a',
            'items_subtotal' => 'Order Items Subtotal',
            'total_tax' => 'Total Tax Amount',
            'gross_total' => 'Order Total Amount After Tax, Coupon & Others',
            'payment_trx' => 'Payment Transaction ID',
            'payment_status' => 'Order Payment Status',
            'payment_method' => 'Payment Gateway Name',
            'items' => 'Renders Order Items Table With Quantity & Price',
            'shop.name' => 'Shop name',
            'shop.logo' => 'Shop logo url',
            'shop.address' => 'Shop address',
            'shop.vendor_name' => 'Shop vendor name',
            'customer.name' => 'Customer full name',
            'customer.username' => 'Customer username',
            'customer.email' => 'Customer email',
            'customer.phone' => 'Customer phone',
            'billing.name' => 'Order billing name',
            'billing.email' => 'Order billing email',
            'billing.phone' => 'Order billing phone',
            'billing.country' => 'Order billing country',
            'billing.state' => 'Order billing state',
            'billing.city' => 'Order billing city',
            'billing.street_address_1' => 'Order billing street address line one',
            'billing.street_address_2' => 'Order billing street address line two',
            'billing.latitude' => 'Order billing address latitude',
            'billing.longitude' => 'Order billing address longitude',
            'shipping.name' => 'Order shipping name',
            'shipping.email' => 'Order shipping email',
            'shipping.phone' => 'Order shipping phone',
            'shipping.country' => 'Order shipping country',
            'shipping.state' => 'Order shipping state',
            'shipping.city' => 'Order shipping city',
            'shipping.street_address_1' => 'Order shipping street address line one',
            'shipping.street_address_2' => 'Order shipping street address line two',
            'shipping.latitude' => 'Order shipping address latitude',
            'shipping.longitude' => 'Order shipping address longitude',
            'download_link' => 'Invoice Preview Link Online',
            'preview_link' => 'Invoice Preview Link Online',
        ],
        'content' => 'Hello [customer.username], order successfully placed. Order ID #[id]'
    ],
    'new_order_to_shop' => [
        'title' => 'New Order Received',
        'params' => [
            'id' => 'Order ID',
            'coupon_code' => 'Coupon Code',
            'discount' => 'Applied Discount',
            'currency.code' => 'Default Currency Code',
            'currency.symbol' => 'Default Currency Symbol',
            'shipping_method_name' => 'Shipping Method Name',
            'shipping_charge' => 'Applied Shipping Charge',
            'status' => 'Order Status. pending|processing|on the way|delivered|hold|canceled',
            'created_at' => 'Order Creating Time. Format: M d, Y h:i a',
            'items_subtotal' => 'Order Items Subtotal',
            'total_tax' => 'Total Tax Amount',
            'gross_total' => 'Order Total Amount After Tax, Coupon & Others',
            'payment_trx' => 'Payment Transaction ID',
            'payment_status' => 'Order Payment Status',
            'payment_method' => 'Payment Gateway Name',
            'items' => 'Renders Order Items Table With Quantity & Price',
            'shop.name' => 'Shop name',
            'shop.logo' => 'Shop logo url',
            'shop.address' => 'Shop address',
            'shop.vendor_name' => 'Shop vendor name',
            'customer.name' => 'Customer full name',
            'customer.username' => 'Customer username',
            'customer.email' => 'Customer email',
            'customer.phone' => 'Customer phone',
            'billing.name' => 'Order billing name',
            'billing.email' => 'Order billing email',
            'billing.phone' => 'Order billing phone',
            'billing.country' => 'Order billing country',
            'billing.state' => 'Order billing state',
            'billing.city' => 'Order billing city',
            'billing.street_address_1' => 'Order billing street address line one',
            'billing.street_address_2' => 'Order billing street address line two',
            'billing.latitude' => 'Order billing address latitude',
            'billing.longitude' => 'Order billing address longitude',
            'shipping.name' => 'Order shipping name',
            'shipping.email' => 'Order shipping email',
            'shipping.phone' => 'Order shipping phone',
            'shipping.country' => 'Order shipping country',
            'shipping.state' => 'Order shipping state',
            'shipping.city' => 'Order shipping city',
            'shipping.street_address_1' => 'Order shipping street address line one',
            'shipping.street_address_2' => 'Order shipping street address line two',
            'shipping.latitude' => 'Order shipping address latitude',
            'shipping.longitude' => 'Order shipping address longitude',
            'download_link' => 'Invoice Preview Link Online',
            'preview_link' => 'Invoice Preview Link Online',
        ],
        'content' => 'Hello [shop.vendor_name], We received a new order for your shop. Order ID #[id]'
    ],
    'order_updated' => [
        'title' => 'Order Updated Successfully',
        'params' => [
            'id' => 'Order ID',
            'coupon_code' => 'Coupon Code',
            'discount' => 'Applied Discount',
            'currency.code' => 'Default Currency Code',
            'currency.symbol' => 'Default Currency Symbol',
            'shipping_method_name' => 'Shipping Method Name',
            'shipping_charge' => 'Applied Shipping Charge',
            'status' => 'Order Status. pending|processing|on the way|delivered|hold|canceled',
            'created_at' => 'Order Creating Time. Format: M d, Y h:i a',
            'items_subtotal' => 'Order Items Subtotal',
            'total_tax' => 'Total Tax Amount',
            'gross_total' => 'Order Total Amount After Tax, Coupon & Others',
            'payment_trx' => 'Payment Transaction ID',
            'payment_status' => 'Order Payment Status',
            'payment_method' => 'Payment Gateway Name',
            'items' => 'Renders Order Items Table With Quantity & Price',
            'shop.name' => 'Shop name',
            'shop.logo' => 'Shop logo url',
            'shop.address' => 'Shop address',
            'shop.vendor_name' => 'Shop vendor name',
            'customer.name' => 'Customer full name',
            'customer.username' => 'Customer username',
            'customer.email' => 'Customer email',
            'customer.phone' => 'Customer phone',
            'billing.name' => 'Order billing name',
            'billing.email' => 'Order billing email',
            'billing.phone' => 'Order billing phone',
            'billing.country' => 'Order billing country',
            'billing.state' => 'Order billing state',
            'billing.city' => 'Order billing city',
            'billing.street_address_1' => 'Order billing street address line one',
            'billing.street_address_2' => 'Order billing street address line two',
            'billing.latitude' => 'Order billing address latitude',
            'billing.longitude' => 'Order billing address longitude',
            'shipping.name' => 'Order shipping name',
            'shipping.email' => 'Order shipping email',
            'shipping.phone' => 'Order shipping phone',
            'shipping.country' => 'Order shipping country',
            'shipping.state' => 'Order shipping state',
            'shipping.city' => 'Order shipping city',
            'shipping.street_address_1' => 'Order shipping street address line one',
            'shipping.street_address_2' => 'Order shipping street address line two',
            'shipping.latitude' => 'Order shipping address latitude',
            'shipping.longitude' => 'Order shipping address longitude',
            'download_link' => 'Invoice Preview Link Online',
            'preview_link' => 'Invoice Preview Link Online',
            'status_string' => 'Order Updated Status'
        ],
        'content' => 'Hello [customer.username], your order marked as [status_string]. Order ID #[id]'
    ],
    'invoice' => [
        'title' => 'Order Invoice #[id]',
        'params' => [
            'id' => 'Order ID',
            'coupon_code' => 'Coupon Code',
            'discount' => 'Applied Discount',
            'currency.code' => 'Default Currency Code',
            'currency.symbol' => 'Default Currency Symbol',
            'shipping_method_name' => 'Shipping Method Name',
            'shipping_charge' => 'Applied Shipping Charge',
            'status' => 'Order Status. pending|processing|on the way|delivered|hold|canceled',
            'created_at' => 'Order Creating Time. Format: M d, Y h:i a',
            'items_subtotal' => 'Order Items Subtotal',
            'total_tax' => 'Total Tax Amount',
            'gross_total' => 'Order Total Amount After Tax, Coupon & Others',
            'payment_trx' => 'Payment Transaction ID',
            'payment_status' => 'Order Payment Status',
            'payment_method' => 'Payment Gateway Name',
            'items' => 'Renders Order Items Table With Quantity & Price',
            'shop.name' => 'Shop name',
            'shop.logo' => 'Shop logo url',
            'shop.address' => 'Shop address',
            'shop.vendor_name' => 'Shop vendor name',
            'customer.name' => 'Customer full name',
            'customer.username' => 'Customer username',
            'customer.email' => 'Customer email',
            'customer.phone' => 'Customer phone',
            'billing.name' => 'Order billing name',
            'billing.email' => 'Order billing email',
            'billing.phone' => 'Order billing phone',
            'billing.country' => 'Order billing country',
            'billing.state' => 'Order billing state',
            'billing.city' => 'Order billing city',
            'billing.street_address_1' => 'Order billing street address line one',
            'billing.street_address_2' => 'Order billing street address line two',
            'billing.latitude' => 'Order billing address latitude',
            'billing.longitude' => 'Order billing address longitude',
            'shipping.name' => 'Order shipping name',
            'shipping.email' => 'Order shipping email',
            'shipping.phone' => 'Order shipping phone',
            'shipping.country' => 'Order shipping country',
            'shipping.state' => 'Order shipping state',
            'shipping.city' => 'Order shipping city',
            'shipping.street_address_1' => 'Order shipping street address line one',
            'shipping.street_address_2' => 'Order shipping street address line two',
            'shipping.latitude' => 'Order shipping address latitude',
            'shipping.longitude' => 'Order shipping address longitude',
            'download_link' => 'Invoice Preview Link Online',
            'preview_link' => 'Invoice Preview Link Online',
        ],
        'content' => file_get_contents(resource_path('default_invoice.txt'))
    ],
    'new_transaction' => [
        'title' => 'New Transaction',
        'params' => [
            'id' => 'Transaction ID',
            'track' => 'Transaction track id',
            'title' => 'Transaction',
            'amount' => 'Transaction Amount',
            'currency.code' => 'Default Currency Code',
            'currency.symbol' => 'Default Currency Symbol',
            'user.name' => 'Customer full name',
            'user.email' => 'Customer email',
            'user.phone' => 'Customer phone',
        ],
        'content' => '[title]'
    ],
    'withdraw_accepted' => [
        'title' => 'Withdraw Accepted',
        'params' => [
            'id' => 'Withdraw ID',
            'amount' => 'Withdraw Amount',
            'charge' => 'Withdraw Charge',
            'currency.code' => 'Default Currency Code',
            'currency.symbol' => 'Default Currency Symbol',
            'user.name' => 'User full name',
            'user.email' => 'User email',
            'user.phone' => 'User phone',
            'method.name' => 'Method name'
        ],
        'content' => 'Withdraw request accepted successfully. ID #[id]'
    ],
    'broadcast' => [
        'title' => '[title]',
        'params' => [
            'title' => 'Campaign Title',
            'content' => 'Campaign Content Or Body',
            'name' => 'User full name',
            'balance' => 'User account balance',
            'currency.code' => 'Default Currency Code',
            'currency.symbol' => 'Default Currency Symbol'
        ],
        'content' => '[content]'
    ]
];
