<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCurrenciesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('currencies', function (Blueprint $table) {
            $table->id();
            $table->string('name')->nullable();
            $table->string('code', 10);
            $table->string('symbol', 10);
            $table->string('symbol_position', 10)->default('left');
            $table->string('thousand_separator', 10)->default(',');
            $table->string('decimal_separator', 10)->default('.');
            $table->tinyInteger('precision')->default(2);
            $table->double('rate')->default(1)->comment('rate is 1 for default currency');
            $table->boolean('is_default')->default(0)->comment('0=no, 1=yes');
            $table->boolean('status')->default(0)->comment('0=disabled, 1=enabled');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('currencies');
    }
}
