<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePaymentMethodsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('payment_methods', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->string('description')->nullable();
            $table->string('image')->default('https://placeimg.com/200/200/any');
            $table->double('min')->default(-1)->comment('-1=no limit');
            $table->double('max')->default(-1)->comment('-1=no limit');
            $table->longText('credentials')->nullable()->comment('json encoded credentials');
            $table->double('percent_charge')->default(0);
            $table->double('fixed_charge')->default(0);
            $table->string('class_name', 191)->nullable();
            $table->longText('fields')->nullable()->comment('manual fields input');
            $table->boolean('status')->default(1)->comment('0=disabled, 1=enabled');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('payment_methods');
    }
}
