<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateInputOptionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('input_options', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('input_id');
            $table->string('title')->nullable();
            $table->tinyInteger('sort')->default(0);
            $table->timestamps();
            $table->foreign('input_id')->references('id')->on('inputs')->cascadeOnUpdate()->cascadeOnDelete();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('input_options');
    }
}
