<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateInputValuesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('input_values', function (Blueprint $table) {
            $table->id();
            $table->morphs('belongs_to');
            $table->unsignedBigInteger('input_id')->nullable();
            $table->unsignedBigInteger('input_option_id')->nullable();
            $table->string('title')->nullable();
            $table->longText('content')->nullable();
            $table->timestamps();
            $table->foreign('input_id')->references('id')->on('inputs')->cascadeOnUpdate()->onDelete('SET NULL');
            $table->foreign('input_option_id')->references('id')->on('input_options')->cascadeOnUpdate()->onDelete('SET NULL');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('input_values');
    }
}
