<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateTransactionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('transactions', function (Blueprint $table) {
            $table->id();
            $table->foreignIdFor(\App\Models\Wallet::class);
            $table->string('track')->unique();
            $table->string('title')->nullable();
            $table->morphs('user');
            $table->nullableMorphs('ref');
            $table->enum('type', ['+', '-'])->default('+');
            $table->string('amount')->default(0);
            $table->string('matter')->nullable();
            $table->nullableMorphs('creator');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('transactions');
    }
}
