<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePaymentGatewaysTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('payment_gateways', function (Blueprint $table) {
            $table->id();
            $table->string('name')->unique();
            $table->string('image')->nullable();
            $table->string('min')->default(-1)->comment('-1=no limit');
            $table->string('max')->default(-1)->comment('-1=no limit');
            $table->string('payment_method');
            $table->foreignId('currency_id')->constrained('currencies')->onDelete('cascade');
            $table->text('credentials');
            $table->string('percent_charge')->default(0);
            $table->string('fixed_charge')->default(0);
            $table->boolean('status')->default(0)->comment('0=disabled, 1=enabled');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('payment_gateways');
    }
}
