@extends('auth.layouts.master')

@section('title', ' | Login')

@section('content')
    <div class="auth__left">
        <img src="{{ get_option('large_logo', config('ui.logo.large')) }}" alt="{{ env('APP_NAME') }}"/>
    </div>
    <div class="auth__right">
        <div class="auth_content">
            <div class="auth__header text-center">
                <h3>Sign In</h3>
                <p>Please sign in to your account.</p>
            </div>
            @if (session('success'))
                <div class="alert alert-success" role="alert">
                    {{ session('success') }}
                </div>
            @endif
            <form class="auth__form" action="{{ route('login') }}" method="POST">
                @csrf
                <div class="mb-3">
                    <input class="form-control form-control-lg @error('username') is-invalid @enderror" name="username" type="text" placeholder="Email" autocomplete="off" required>
                    @error('username')
                        <div class="invalid-feedback">{{ $message }}</div>
                    @enderror
                </div>
                <div class="mb-3">
                    <input class="form-control form-control-lg @error('password') is-invalid @enderror" name="password" type="password" placeholder="Password" autocomplete="off" required>
                    @error('password')
                        <div class="invalid-feedback">{{ $message }}</div>
                    @enderror
                </div>
                <div class="auth_rightLink">
                    <a href="{{ route('password.request') }}">Forgot Password ?</a>
                </div>
                <button type="submit" class="my-5 btn btn-primary w-100">Sign In</button>
            </form>
            <div class="note">
                Don’t have account ? <a href="{{ route('register') }}">Sign Up</a>
            </div>
        </div>
    </div>
@endsection
