@extends('auth.layouts.master')

@section('title', ' | Forget Password')

@section('content')
    <div class="auth__left">
        <a href="{{ route('login') }}" class="backward">
            <img src="{{ asset('assets/front_end/images/icon/back.svg') }}" alt="back">
        </a>
        <img src="{{ get_option('large_logo', config('ui.logo.large')) }}" alt="{{ env('APP_NAME') }}"/>
    </div>
    <div class="auth__right">
        <div class="auth_content">
            <div class="auth__header text-center">
                <h3>Forgot Password ?</h3>
                <p>Please enter the email address to request a password reset.</p>
            </div>
            @if (session('status'))
                <div class="alert alert-success" role="alert">
                    {{ session('status') }}
                </div>
            @endif
            <form class="auth__form" action="{{ route('password.email') }}" method="POST">
                @csrf
                <div class="mb-3">
                    <input class="form-control form-control-lg @error('email') is-invalid @enderror" type="email" name="email" placeholder="Email" required autofocus autocomplete="off">
                    @error('email')
                        <div class="invalid-feedback">{{ $message }}</div>
                    @enderror
                </div>
                <button type="submit" class="mt-3 btn btn-primary w-100">Send</button>
            </form>
        </div>
    </div>
@endsection
