@extends('auth.layouts.master')

@section('title', ' | Reset Password')

@section('content')
    <div class="auth__left">
        <img src="{{ get_option('large_logo', config('ui.logo.large')) }}" alt="{{ env('APP_NAME') }}"/>
    </div>
    <div class="auth__right">
        <div class="auth_content">
            <div class="auth__header text-center">
                <h3>Forgot Password ?</h3>
                <p>Please enter the email address to request a password reset.</p>
            </div>
            <form class="auth__form" action="{{ route('password.update') }}" method="POST">
                @csrf
                <input type="hidden" name="token" value="{{ $token }}">
                <div class="mb-3">
                    <input class="form-control form-control-lg @error('email') is-invalid @enderror" type="email" name="email" placeholder="Email" value="{{ $email }}" required autofocus>
                </div>
                <div class="mb-3">
                    <input class="form-control form-control-lg @error('password') is-invalid @enderror" name="password" value="{{ old('password') }}" type="password" placeholder="Password" autocomplete="off" required>
                    @error('password')
                        <div class="invalid-feedback">{{ $message }}</div>
                    @enderror
                </div>
                <div class="mb-3">
                    <input class="form-control form-control-lg @error('password_confirmation') is-invalid @enderror" name="password_confirmation" type="password" placeholder="Confirm Password">
                    @error('password_confirmation')
                        <div class="invalid-feedback">{{ $message }}</div>
                    @enderror
                </div>
                <button type="submit" class="mt-3 btn btn-primary w-100">Send</button>
            </form>
        </div>
    </div>
@endsection
