@extends('auth.layouts.master')

@section('title', ' | Signup')

@section('content')
    <div class="auth__left">
        <img src="{{ get_option('large_logo', config('ui.logo.large')) }}" alt="{{ env('APP_NAME') }}"/>
    </div>
    <div class="auth__right">
        <div class="auth_content">
            <div class="auth__header text-center">
                <h3>Sign Up</h3>
                <p>Create a new account.</p>
            </div>
            @if (session('success'))
                <div class="alert alert-success" role="alert">
                    {{ session('success') }}
                </div>
            @endif
            <form class="auth__form" action="{{ route('register') }}" method="POST">
                @csrf
                <div class="mb-3">
                    <input class="form-control form-control-lg @error('first_name') is-invalid @enderror" name="first_name" value="{{ old('first_name') }}" type="text" placeholder="First Name" autocomplete="off" required>
                    @error('first_name')
                        <div class="invalid-feedback">{{ $message }}</div>
                    @enderror
                </div>
                <div class="mb-3">
                    <input class="form-control form-control-lg @error('last_name') is-invalid @enderror" name="last_name" value="{{ old('last_name') }}" type="text" placeholder="Last Name" autocomplete="off" required>
                    @error('last_name')
                        <div class="invalid-feedback">{{ $message }}</div>
                    @enderror
                </div>
                <div class="mb-3">
                    <input class="form-control form-control-lg @error('username') is-invalid @enderror" name="username" value="{{ old('username') }}" type="text" placeholder="Username" autocomplete="off" required>
                    @error('username')
                        <div class="invalid-feedback">{{ $message }}</div>
                    @enderror
                </div>
                <div class="mb-3">
                    <input class="form-control form-control-lg @error('email') is-invalid @enderror" name="email" value="{{ old('email') }}" type="email" placeholder="Email" autocomplete="off" required>
                    @error('email')
                        <div class="invalid-feedback">{{ $message }}</div>
                    @enderror
                </div>
                <div class="mb-3">
                    <input class="form-control form-control-lg @error('phone') is-invalid @enderror" name="phone" value="{{ old('phone') }}" type="number" placeholder="Mobile" autocomplete="off" required>
                    @error('phone')
                        <div class="invalid-feedback">{{ $message }}</div>
                    @enderror
                </div>
                <div class="mb-3">
                    <input class="form-control form-control-lg @error('password') is-invalid @enderror" name="password" value="{{ old('password') }}" type="password" placeholder="Password" autocomplete="off" required>
                    @error('password')
                        <div class="invalid-feedback">{{ $message }}</div>
                    @enderror
                </div>
                <div class="mb-3">
                    <input class="form-control form-control-lg @error('password_confirmation') is-invalid @enderror" name="password_confirmation" type="password" placeholder="Confirm Password">
                    @error('password_confirmation')
                    <div class="invalid-feedback">{{ $message }}</div>
                    @enderror
                </div>
                <button type="submit" class="my-5 btn btn-primary w-100">Sign Up</button>
            </form>
            <div class="note">
                Already have an account ? <a href="{{ route('login') }}">Sign In</a>
            </div>
        </div>
    </div>
@endsection
