@extends('pages.layouts.master')

@section('title',' | ' .$blogPost->title)

@section('breadcrumb')
<div class="breadcrumb-area">
  <div class="container">
    <div class="breadcrumb-content">
      <h2>Blog Details / Home</h2>
      <p></p>
    </div>
  </div>
</div>
@endsection

@section('content')
<section class="">
  <div class="container">
    <div class="blog-details-thumb">
      <img src="{{ $blogPost->feature_image }}" alt="">
    </div>
    <div class="blog-details-meta mb-4">
      <div class="row justify-content-between">
        <div class="col-auto">
          <i class="fa fa-user"></i>
          By Admin
        </div>
        <div class="col-auto">
          <i class="fa fa-comment"></i>
          {{ $blogPost->comments->count() }} Comment
        </div>
      </div>
      <p>{{ $blogPost->created_at->diffForHumans() }}</p>
    </div>

    <div class="content">
      <h2 class="blog-title">{{ $blogPost->title }}</h2>

      {!! $blogPost->details !!}
    </div>

    <div class="pt-50 pb-100">
      <div class="row justify-content-center">
        <div class="col-12">
            @if($blogPost->comments->count()>0)
              <h3 class="md-title">Comments ({{ $blogPost->comments->count() }})</h3>
              <ul class="commentList">
                  @foreach($blogPost->comments as $comment)
                    <li class="singleComment">
                      <div class="commentWrap">
                        <div class="commentImage">
                          <img src="{{ $comment->user->avatar }}" alt="" />
                        </div>
                        <div class="commentContent">
                          <div class="commentsMeta">
                            <h4>{{ $comment->user->first_name .' ' .$comment->user->last_name }}</h4>
                            <span>{{ $comment->created_at->diffForHumans() }}</span>
                          </div>
                          <div class="commentBody">
                            <p>
                              {{ $comment->comment }}
                            </p>
                          </div>
                        </div>
                      </div>
                    </li>
                  @endforeach
              </ul>
            @endif
            @if(Auth::check())
              <h3 class="md-title mt-30">Add Comment</h3>
              <form action="{{ route('blog-post-comment',$blogPost->id) }}" method="POST">
                  @csrf
                <div class="row">
                  <div class="col-12">
                    <div class="mb-3">
                      <textarea placeholder="Comment ........." class="form-control textarea" id="msg" name="comment" required></textarea>
                    </div>
                  </div>
                </div>
                <button type="submit" class="btn btn-primary">Submit</button>
              </form>
            @endif
        </div>
      </div>
    </div>
  </div>
</section>
@endsection
