@extends('pages.layouts.master')

@section('title',' | '.$page->title)

@section('meta')
    @include('pages.partials.meta', $meta)
@endsection

@section('breadcrumb')
<div class="breadcrumb-area">
  <div class="container">
    <div class="breadcrumb-content">
      <h2>Blog/ Home</h2>
      <p>
        {{ $page->summery ?? '' }}
      </p>
    </div>
  </div>
</div>
@endsection

@section('content')
<section class="pt-100 pb-100">
  <div class="container">
    <div class="row">
      <div class="col-12 col-lg-8 offset-lg-2">
        <div class="section-title">
          <h2>Latest News that can help you to know us.</h2>
        </div>
      </div>
    </div>
    <!-- blogs row start -->
    <div class="row row-cols-1 row-cols-sm-2 row-cols-lg-3 g-4">
        @foreach($blogPosts as $blogPost)
          <div class="col">
            <div class="blog-item">
              <div class="thumb">
                <img src="{{ $blogPost->feature_image }}" alt="">
              </div>
              <div class="content">
                <div class="meta-tag">
                  <div class="row justify-content-between">
                    <div class="col-auto">
                      <i class="fa fa-user"></i>
                      By Admin
                    </div>
                    <div class="col-auto">
                      <i class="fa fa-comment"></i>
                      {{ $blogPost->comments->count() }} Comment
                    </div>
                  </div>
                </div>

                <h2><a href="{{ route('blog-details',$blogPost->slug) }}">{{ Str::limit($blogPost->summery, 70, ' (...)') }}</a></h2>
                <p>{{ $blogPost->created_at->diffForHumans() }}</p>
              </div>
            </div>
          </div>
        @endforeach
    </div>
    <!-- blogs row end -->
  </div>
</section>
@endsection
