@extends('pages.layouts.master')

@section('title',' | About Us')

@section('meta')
    @include('pages.partials.meta', $meta)
@endsection

@section('breadcrumb')
    <div class="breadcrumb-area">
        <div class="container">
            <div class="breadcrumb-content">
                <h2>Contact Us/ Home</h2>
                <p>
                    {{ $page->summery }}
                </p>
            </div>
        </div>
    </div>
@endsection

@section('content')
<section class="contact-us bg-white pt-100 pb-100">
  <div class="container">
    <div class="row align-items-center">
      <div class="col-12 col-md-6">
        <h3 class="sm-title">Contact Us</h3>
        <p>{{get_option('contact_address','')}}</p>
        <p>Telephone: {{get_option('contact_phone_no','')}}</p>
        <p>Email: {{get_option('contact_email_address','')}}</p>

        <ul class="social xs-mb-50">
          <li><a href="{{get_option('facebook_page_address','')}}"><i class="fa fa-facebook"></i></a></li>
          <li><a href="{{get_option('twitter_page_address','')}}"><i class="fa fa-twitter"></i></a></li>
          <li><a href="{{get_option('youtube_page_address','')}}"><i class="fa fa-youtube-play"></i></a></li>
          <li><a href="{{get_option('linkedIn_page_address','')}}"><i class="fa fa-linkedin-square"></i></a></li>
        </ul>
      </div>
      <div class="col-12 col-md-6 ">
        <h3 class="md-title">Contact Us</h3>
        <form action="{{ route('user-contact-us') }}" method="POST">
            @csrf
          <div class="mb-3">
              <label for="name" class="col-form-label">Name:</label>
              <input placeholder="Name" type="text" class="form-control" id="name" name="name" required>
          </div>
          <div class="mb-3">
              <label for="email" class="col-form-label">Email:</label>
              <input placeholder="email" type="email" class="form-control" id="email" name="email" required>
          </div>
          <div class="mb-3">
              <label for="email" class="col-form-label">Message:</label>
              <textarea placeholder="Message" class="form-control" id="msg" name="message" required></textarea>
          </div>
          <button class="btn btn-primary" type="submit">SEND MESSAGE
              <svg
                  width="35"
                  height="16"
                  viewBox="0 0 35 16"
                  fill="none"
                  xmlns="http://www.w3.org/2000/svg"
              >
                  <path
                      d="M34.7071 8.70711C35.0976 8.31658 35.0976 7.68342 34.7071 7.29289L28.3431 0.928932C27.9526 0.538408 27.3195 0.538408 26.9289 0.928932C26.5384 1.31946 26.5384 1.95262 26.9289 2.34315L32.5858 8L26.9289 13.6569C26.5384 14.0474 26.5384 14.6805 26.9289 15.0711C27.3195 15.4616 27.9526 15.4616 28.3431 15.0711L34.7071 8.70711ZM0 9H34V7H0V9Z"
                      fill="white"
                  />
              </svg>
          </button>
        </form>
      </div>
    </div>
  </div>
</section>
@endsection
