@extends('pages.layouts.master')

@section('content')
    @foreach($keyFeatures as $index=>$keyFeature)
        @if($index % 2 == 0)
            <section class="hero-section pt-100 pb-100">
                <div class="container">
                    <div class="row align-items-center flex-wrap-reverse">
                        <div class="col-12 col-lg-6">
                            <div class="hero__content">
                                <h2>{{ $keyFeature->title }}</h2>
                                <p>
                                    {{ $keyFeature->details }}
                                </p>
                                @if($keyFeature->action)
                                    <a class="btn btn-primary" href="{{ $keyFeature->action }}">VIEW MORE
                                        <svg
                                            width="35"
                                            height="16"
                                            viewBox="0 0 35 16"
                                            fill="none"
                                            xmlns="http://www.w3.org/2000/svg"
                                        >
                                            <path
                                                d="M34.7071 8.70711C35.0976 8.31658 35.0976 7.68342 34.7071 7.29289L28.3431 0.928932C27.9526 0.538408 27.3195 0.538408 26.9289 0.928932C26.5384 1.31946 26.5384 1.95262 26.9289 2.34315L32.5858 8L26.9289 13.6569C26.5384 14.0474 26.5384 14.6805 26.9289 15.0711C27.3195 15.4616 27.9526 15.4616 28.3431 15.0711L34.7071 8.70711ZM0 9H34V7H0V9Z"
                                                fill="white"
                                            />
                                        </svg>
                                    </a>
                                @endif
                            </div>
                        </div>
                        <div class="col-12 col-lg-6">
                            <div class="hero__thumb">
                                <img src="{{ $keyFeature->image }}" alt="Key Feature" />
                            </div>
                        </div>
                    </div>
                </div>
            </section>
        @else
            <section class="why-choose-us pb-100">
                <div class="container">
                    <div class="row g-lg-5">
                        <div class="col-12 col-lg-6">
                            <div class="why-choose-us__thumb">
                                <img src="{{ $keyFeature->image }}" alt="Key Feature" />
                            </div>
                        </div>
                        <div class="col-12 col-lg-6">
                            <div class="why-choose-us__content">
                                <h2>{{ $keyFeature->title }}</h2>
                                <p>
                                    {{ $keyFeature->details }}
                                </p>

                                @if($keyFeature->action)
                                    <a class="btn btn-primary" href="{{ $keyFeature->action }}">VIEW MORE
                                        <svg
                                            width="35"
                                            height="16"
                                            viewBox="0 0 35 16"
                                            fill="none"
                                            xmlns="http://www.w3.org/2000/svg"
                                        >
                                            <path
                                                d="M34.7071 8.70711C35.0976 8.31658 35.0976 7.68342 34.7071 7.29289L28.3431 0.928932C27.9526 0.538408 27.3195 0.538408 26.9289 0.928932C26.5384 1.31946 26.5384 1.95262 26.9289 2.34315L32.5858 8L26.9289 13.6569C26.5384 14.0474 26.5384 14.6805 26.9289 15.0711C27.3195 15.4616 27.9526 15.4616 28.3431 15.0711L34.7071 8.70711ZM0 9H34V7H0V9Z"
                                                fill="white"
                                            />
                                        </svg>
                                    </a>
                                @endif
                            </div>
                        </div>
                    </div>
                </div>
            </section>
        @endif
    @endforeach

    <section class="pb-100">
        <div class="container">
            <div class="row">
                <div class="col-12 col-lg-8 offset-lg-2">
                    <div class="section-title">
                        <h2>Our Services</h2>
                        <p>
                            All your digital assets in one place, Take full control of
                            your tokens and collectibles by storing them on your own
                            wallet.
                        </p>
                    </div>
                </div>
            </div>

            <div class="row row-cols-1 row-cols-sm-2 g-4">
                @foreach($ourServices as $ourService)
                    <div class="col">
                        <div class="service-item">
                            <div class="icon">
                                <img src="{{ $ourService->image }}" alt="Our Service" />
                            </div>
                            <h2>{{ $ourService->title }}</h2>
                            <p>
                                {{ $ourService->details }}
                            </p>
                        </div>
                    </div>
                @endforeach
            </div>
        </div>
    </section>

    <section class="pb-100">
        <div class="container">
            <div class="row">
                <div class="col-12 col-lg-8 offset-lg-2">
                    <div class="section-title">
                        <h2>How The System Works</h2>
                        <p>
                            Here is total overview of our workflow.
                        </p>
                    </div>
                </div>
            </div>

            <div class="row align-items-center row-cols-1 row-cols-lg-2">
                <div class="col">
                    <img src="{{ asset('assets/front_end/images/shape/system-works.png') }}" alt="" />
                </div>
                <div class="col">
                    <div class="system_list">
                        @foreach($workFlows as $index=>$workFlow)
                            <div class="system__step">
                                <div class="icon">
                                    <i class="fa {{ (count($workFlows)==$index+1) ? 'fa-stop' : 'fa-step-forward' }}" aria-hidden="true"></i>
                                </div>
                                <div class="content">
                                    <h3>{{ $workFlow->title }}</h3>
                                    <p>
                                        {{ $workFlow->details }}
                                    </p>
                                </div>
                            </div>
                        @endforeach

                    </div>
                </div>
            </div>
        </div>
    </section>

    @include('pages.partials.recent-blog-posts')

    @include('pages.layouts.subscribe')
@endsection
