@php
    $mainMenu = get_nav_menu('main');
@endphp

<header>
    <div class="header-area">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-auto">
                    <div class="logo">
                        <a href="{{ url('/') }}"><img src="{{ get_option('small_logo', config('ui.logo.small')) }}" alt="{{ env('APP_NAME') }}"/></a>
                    </div>
                </div>
                <div class="col d-none d-xxl-block">
                    <ul class="header__nav text-end">
                        @if(!is_null($mainMenu))
                            @foreach($mainMenu->parent_items as $item)
                                <li class="{{ request()->is($item->url) ? 'active' : '' }}"><a href="{{ url($item->url) }}" @if(!$item->children->isEmpty()) class="dropdown-toggle" data-toggle="dropdown" @endif >{{ $item->text }}</a>
                                    @if(!$item->children->isEmpty())
                                        <ul class="submenu">
                                            @include('pages.layouts.menu-items', ['items' => $item->children])
                                        </ul>
                                    @endif
                                </li>
                            @endforeach
                        @endif
                    </ul>
                </div>
                <div class="col-auto d-none d-xxl-block">
                    <ul class="header__nav text-end">
                        @if(Auth::check())
                            <li><a href="{{ route('dashboard') }}">Dashboard</a></li>
                        @else
                            <li><a href="{{ route('login') }}">LOG IN</a></li>
                        @endif
{{--                        <li>--}}
{{--                            <select name="language" id="currency">--}}
{{--                                @foreach(get_language_list() as $language)--}}
{{--                                    <option value="{{ $language->code }}">{{ $language->name }}</option>--}}
{{--                                @endforeach--}}
{{--                            </select>--}}
{{--                        </li>--}}
{{--                        <li>--}}
{{--                            <p><i class="fa fa-bell-o"></i></p>--}}
{{--                        </li>--}}
                    </ul>
                </div>
                <div class="col d-block d-xxl-none">
                    <div id="humburger">
                        <i class="fa fa-bars"></i>
                    </div>
                </div>
            </div>
        </div>
    </div>
</header>

