<!DOCTYPE html>
<html class="no-js" lang="zxx">
<head>
    <meta charset="utf-8" />
    <meta http-equiv="x-ua-compatible" content="ie=edge" />
    <title>{{ env('APP_NAME') }} @yield('title')</title>
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    @yield('meta')
    <!-- Place favicon.ico in the root directory -->
    <link rel="shortcut icon" type="image/x-icon" href="{{ get_option('favicon', config('ui.favicon')) }}" />
    <!-- CSS here -->
    @yield('css_libs')
    <link rel="stylesheet" href="{{ asset('assets/front_end/css/bootstrap.min.css') }}" />
    <link rel="stylesheet" href="{{ asset('assets/front_end/css/metisMenu.min.css') }}" />
    <link rel="stylesheet" href="{{ asset('assets/front_end/css/perfect-scrollbar.css') }}" />
    <link rel="stylesheet" href="{{ asset('assets/front_end/css/apexcharts.css') }}" />
    <link rel="stylesheet" href="{{ asset('assets/front_end/css/owl.carousel.min.css') }}" />
    <link rel="stylesheet" href="{{ asset('assets/front_end/css/font-awesome.min.css') }}" />
    <link rel="stylesheet" href="{{ asset('assets/front_end/css/default.css') }}" />
    <link rel="stylesheet" href="{{ asset('assets/front_end/css/frontend/styles.css') }}" />
    <link rel="stylesheet" href="{{ asset('assets/front_end/css/frontend/responsive.css') }}" />
    @yield('css')
</head>
<body class="body-color">
<!--[if lte IE 9]>
<p class="browserupgrade">
    You are using an <strong>outdated</strong> browser. Please
    <a href="https://browsehappy.com/">upgrade your browser</a> to improve
    your experience and security.
</p>
<![endif]-->

<!-- Add your site or application content here -->

@include('pages.layouts.notify')

<!-- START::header area -->
@include('pages.layouts.header')
<!-- END::header area -->

<!-- mobile menu -->
@include('pages.layouts.mobile-menu')

<!-- START::breadcrumb area -->
@yield('breadcrumb')
<!-- END::breadcrumb area -->

<main>
    @yield('content')
</main>

@include('pages.layouts.footer')

<!-- JS here -->
<script src="{{ asset('assets/front_end/js/jquery-3.5.1.min.js') }}"></script>
<script src="{{ asset('assets/front_end/js/bootstrap.bundle.min.js') }}"></script>
<script src="{{ asset('assets/front_end/js/owl.carousel.min.js') }}"></script>
<script src="{{ asset('assets/front_end/js/metisMenu.min.js') }}"></script>
<script src="{{ asset('assets/front_end/js/perfect-scrollbar.min.js') }}"></script>
<script src="{{ asset('assets/front_end/js/apexcharts.min.js') }}"></script>
<script src="{{ asset('assets/front_end/js/apexcharts-charts.js') }}"></script>
@yield('js_libs')
<script src="{{ asset('assets/front_end/js/scripts.js') }}"></script>
@yield('js')
</body>
</html>
