@php
    $mainMenu = get_nav_menu('main');
@endphp

<div class="mobile-menu hide">
    <div class="text-center p-3">
        <a href="{{ url('/') }}"><img src="{{ get_option('small_logo', config('ui.logo.small')) }}" alt="{{ env('APP_NAME') }}" /></a>
    </div>
    <ul class="metismenu" id="metismenu">
        @if(!is_null($mainMenu))
            @foreach($mainMenu->parent_items as $item)
                <li class="{{ request()->is($item->url) ? 'active' : '' }}">
                    <a class="{{ (!$item->children->isEmpty()) ? 'has-arrow' : '' }}" href="{{ url($item->url) }}" aria-expanded="true">{{ $item->text }}</a>
                    @if(!$item->children->isEmpty())
                        <ul class="submenu">
                            @include('pages.layouts.menu-items', ['items' => $item->children])
                        </ul>
                    @endif
                </li>
            @endforeach
        @endif
        @if(Auth::check())
            <li><a href="{{ route('dashboard') }}">Dashboard</a></li>
        @else
            <li><a href="{{ route('login') }}">LOG IN</a></li>
        @endif
    </ul>
</div>
