<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>{{ $dbMethod->name }}</title>
</head>
<body>
<script src="https://checkout.razorpay.com/v1/checkout.js"></script>
<script>
    var options = {
        "key": "{{ $dbMethod->credentials['api_key'] }}",
        "amount": "{{ $amount*100 }}",
        "currency": "{{ $currency->code }}",
        "name": "{{ config('app.name') }}",
        "description": "{{ $desc }}",
        "image": "{{ get_option('large_logo', config('ui.logo.large')) }}",
        "order_id": "{{ $order['id'] }}",
        "callback_url": "{{ route('payment.ipn', ['type' => $type, 'track' => encrypt($payment->id)]) }}",
        @if($type == 'deposit')
        "prefill": {
            "name": "{{ optional($payment->user)->username }}",
            "email": "{{ optional($payment->user)->email }}",
            "contact": "{{ optional($payment->user)->phone }}"
        },
        @endif
        "theme": {
            "color": "{{ config('iwallet.app.color.color_primary') }}"
        }
    };
    window.rzp1 = new Razorpay(options);
    window.rzp1.open();
</script>
</body>
</html>
