<!DOCTYPE html>
<html class="no-js" lang="zxx">
<head>
    <meta charset="utf-8"/>
    <meta http-equiv="x-ua-compatible" content="ie=edge"/>
    <title>{{ $payment->title }} | @lang('Store Payment')</title>
    <meta name="viewport" content="width=device-width, initial-scale=1"/>
    <link rel="stylesheet" href="{{ asset('assets/css/bootstrap.min.css') }}"/>
    <link rel="stylesheet" href="{{ asset('assets/front_end/css/font-awesome.min.css') }}"/>
    <style>
        /* HIDE RADIO */
        [type=radio] {
            position: absolute;
            opacity: 0;
            width: 0;
            height: 0;
        }

        /* IMAGE STYLES */
        [type=radio] + img {
            cursor: pointer;
        }

        /* CHECKED STYLES */
        [type=radio]:checked + img {
            outline: 2px solid #E50000;
        }

        .img-gateway {
            width: 100px;
            height: 100px;
        }

        label {
            margin: 0 15px;
        }

        .card-footer {
            text-align: right;
        }
    </style>
</head>
<body class="body-color">
<!--[if lte IE 9]>
<p class="browserupgrade">
    You are using an <strong>outdated</strong> browser. Please
    <a href="https://browsehappy.com/">upgrade your browser</a> to improve
    your experience and security.
</p>
<![endif]-->
<main>
    <div class="row align-items-center justify-content-center vh-100 vw-100">
        <div class="col-md-4">
            <h3 class="text-secondary text-center">{{ $payment->title }}</h3>
            @if($payment->description)<p class="text-center">{{ $payment->description }}</p>@endif
            @include('layouts.partials.flash-alert', ['form' => true])
            <form action="{{ route('payment.proceed', encrypt($payment->id)) }}" method="post">
                @csrf
                <div class="card">
                    <div class="card-header">
                        <h6>@lang('Select Payment Method')</h6>
                    </div>
                    <div class="card-body">
                        @foreach($gateways->chunk(3) as $gatewaysChunk)
                            <div class="d-flex">
                                @foreach($gatewaysChunk as $gateway)
                                    <label for="gateway-{{ $gateway->id }}">
                                        <input type="radio" name="gateway_id" id="gateway-{{ $gateway->id }}"
                                               value="{{ $gateway->id }}" required>
                                        <img src="{{ $gateway->image }}" class="img-fluid img-thumbnail img-gateway"
                                             alt="{{ $gateway->name }}" title="{{ $gateway->name }}">
                                    </label>
                                @endforeach
                            </div>
                        @endforeach
                    </div>
                    <div class="card-footer">
                        <button type="submit" class="btn btn-success btn-lg">Pay {{ $payment->amount }} {{ $payment->currency->code }}</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</main>

<!-- JS here -->
<script src="{{ asset('assets/front_end/js/jquery-3.5.1.min.js') }}"></script>
<script src="{{ asset('assets/front_end/js/bootstrap.bundle.min.js') }}"></script>
</body>
</html>
