@extends('staff.layouts.auth')

@section('title', 'Staff Login')

@section('content')
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-8 col-lg-6 col-xl-5">
                <div class="card bg-pattern">

                    <div class="card-body p-4">

                        <div class="text-center w-75 m-auto">
                            <div class="auth-logo">
                                <a href="{{ url('/') }}" class="logo logo-dark text-center">
                                            <span class="logo-lg">
                                                <img src="{{ get_option('large_logo', config('ui.logo.large')) }}"
                                                     alt="{{ config('app.name') }}" height="22">
                                            </span>
                                </a>

                                <a href="{{ url('/') }}" class="logo logo-light text-center">
                                            <span class="logo-lg">
                                                <img src="{{ get_option('large_logo', config('ui.logo.large')) }}"
                                                     alt="{{ config('app.name') }}" height="22">
                                            </span>
                                </a>
                            </div>
                            <p class="text-muted mb-4 mt-3">Enter your email and password to access your panel.</p>
                        </div>

                        <form action="{{ route('staff.login') }}" method="post">
                            @csrf
                            <div class="form-group mb-3">
                                <label for="username">@lang('Email')</label>
                                <input class="form-control @error('email') is-invalid @enderror" type="email"
                                       id="email" name="email" placeholder="jhon@example.com" value="{{ old('email') }}"
                                       required autocomplete="email" autofocus>
                                @error('email')
                                <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>

                            <div class="form-group mb-3">
                                <label for="password">@lang('Password')</label>
                                <div class="input-group input-group-merge">
                                    <input type="password" id="password" name="password"
                                           class="form-control @error('password') is-invalid @enderror"
                                           placeholder="Enter your password">
                                    <div class="input-group-append" data-password="false">
                                        <div class="input-group-text">
                                            <span class="password-eye font-12"></span>
                                        </div>
                                    </div>
                                </div>
                                @error('password')
                                <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                            </div>

                            <div class="form-group mb-3">
                                <div class="custom-control custom-checkbox">
                                    <input type="checkbox" class="custom-control-input" id="remember" name="remember"
                                           value="1" checked>
                                    <label class="custom-control-label" for="remember">@lang('Remember me')</label>
                                </div>
                            </div>

                            <div class="form-group mb-0 text-center">
                                <button class="btn btn-primary btn-block" type="submit">@lang('Log In')</button>
                            </div>

                        </form>

                    </div> <!-- end card-body -->
                </div>
                <!-- end card -->

                <div class="row mt-3">
                    <div class="col-12 text-center">
                        <p><a href="{{ route('staff.password.request') }}"
                              class="text-white-50 ml-1">@lang('Forgot your password?')</a></p>
                    </div> <!-- end col -->
                </div>
                <!-- end row -->

            </div> <!-- end col -->
        </div>
        <!-- end row -->
    </div>
@endsection
