@extends('staff.layouts.master')

@section('title', __('Dashboard'))

@section('css_libs')
    <link href="{{ asset('assets/libs/datatables.net-bs4/css/dataTables.bootstrap4.min.css') }}" rel="stylesheet"
          type="text/css"/>
    <link href="{{ asset('assets/libs/datatables.net-responsive-bs4/css/responsive.bootstrap4.min.css') }}"
          rel="stylesheet" type="text/css"/>
    <link href="{{ asset('assets/libs/datatables.net-buttons-bs4/css/buttons.bootstrap4.min.css') }}" rel="stylesheet"
          type="text/css"/>
    <link rel="stylesheet" href="{{ asset('assets/libs/daterangepicker/daterangepicker.css') }}">
@endsection

@section('content')
    <!-- Start Content-->
    <div class="container-fluid">

        <!-- start page title -->
        <div class="row">
            <div class="col-12">
                <div class="page-title-box">
                    <h4 class="page-title">Dashboard</h4>
                </div>
            </div>
        </div>
        <!-- end page title -->


        <div class="row">
            <div class="col-md-6 col-xl-3">
                <div class="widget-rounded-circle card-box">
                    <div class="row align-items-center">
                        <div class="col-auto">
                            <div class="avatar-lg">
                                <img src="{{ asset('assets/images/icons/hand-holding-usd-solid.png') }}" class="img-fluid" alt="withdraw requests">
                            </div>
                        </div>
                        <div class="col">
                            <p class="mb-2 text-muted font-16">Today's Withdraw Requests</p>
                            <h5 class="mb-1 mt-2 font-22">{{ $todayTotalWithdrawRequests }}</h5>
                        </div>
                    </div> <!-- end row-->
                </div> <!-- end widget-rounded-circle-->
            </div> <!-- end col-->

            <div class="col-md-6 col-xl-3">
                <div class="widget-rounded-circle card-box">
                    <div class="row align-items-center">
                        <div class="col-auto">
                            <div class="avatar-lg">
                                <img src="{{ asset('assets/images/icons/coins-solid.png') }}" class="img-fluid" alt="withdraw requests">
                            </div>
                        </div>
                        <div class="col">
                            <p class="mb-2 text-muted font-16">Today's Transaction</p>
                            <h5 class="mb-1 mt-2 font-22">{{ $todayTotalTransactions }}</h5>
                        </div>
                    </div> <!-- end row-->
                </div> <!-- end widget-rounded-circle-->
            </div> <!-- end col-->

            <div class="col-md-6 col-xl-3">
                <div class="widget-rounded-circle card-box">
                    <div class="row align-items-center">
                        <div class="col-auto">
                            <div class="avatar-lg">
                                <img src="{{ asset('assets/images/icons/money-check-alt-solid.png') }}" class="img-fluid" alt="withdraw requests">
                            </div>
                        </div>
                        <div class="col">
                            <p class="mb-2 text-muted font-16">Total Payment Gateways</p>
                            <h5 class="mb-1 mt-2 font-22">{{ $totalActivePaymentGateways }}</h5>
                        </div>
                    </div> <!-- end row-->
                </div> <!-- end widget-rounded-circle-->
            </div> <!-- end col-->

            <div class="col-md-6 col-xl-3">
                <div class="widget-rounded-circle card-box">
                    <div class="row align-items-center">
                        <div class="col-auto">
                            <div class="avatar-lg">
                                <img src="{{ asset('assets/images/icons/user-alt-solid.png') }}" class="img-fluid" alt="withdraw requests">
                            </div>
                        </div>
                        <div class="col">
                            <p class="mb-2 text-muted font-16">Total Active Customers</p>
                            <h5 class="mb-1 mt-2 font-22">{{ $totalActiveCustomers }}</h5>
                        </div>
                    </div> <!-- end row-->
                </div> <!-- end widget-rounded-circle-->
            </div> <!-- end col-->
        </div>
        <!-- end row -->

        @able('manage_payment')
            <div class="row">
                <div class="col-12">
                    <!-- Portlet card -->
                    <div class="card">
                        <div class="card-body">
                            <div class="card-widgets">
                                <a href="javascript: void(0);" data-toggle="reload"><i class="mdi mdi-refresh"></i></a>
                                <a data-toggle="collapse" href="#cardCollpase4" role="button" aria-expanded="false"
                                   aria-controls="cardCollpase4"><i class="mdi mdi-minus"></i></a>
                                <a href="javascript: void(0);" data-toggle="remove"><i class="mdi mdi-close"></i></a>
                            </div>
                            <h4 class="header-title mb-0">Pending Withdraw Requests</h4>

                            <div id="cardCollpase4" class="collapse pt-3 show">
                                <div class="table-responsive">
                                    <table id="data-table" class="table table-bordered dt-responsive nowrap w-100">
                                        <thead>
                                        <tr>
                                            <th>@lang('ID')</th>
                                            <th>@lang('User')</th>
                                            <th>@lang('Method')</th>
                                            <th>@lang('Amount')</th>
                                            <th>@lang('Charge')</th>
                                            <th>@lang('Status')</th>
                                            <th>@lang('Created At')</th>
                                        </tr>
                                        </thead>
                                    </table>
                                </div> <!-- .table-responsive -->
                            </div> <!-- end collapse-->
                        </div> <!-- end card-body-->
                    </div> <!-- end card-->
                </div> <!-- end col-->
            </div>
        @endable

    </div> <!-- container -->
@endsection

@section('js_libs')
    <script src="{{ asset('assets/libs/morris.js06/morris.min.js') }}"></script>
    <script src="{{ asset('assets/libs/raphael/raphael.min.js') }}"></script>
    <script src="{{ asset('assets/js/pages/dashboard-4.init.js') }}"></script>
    <script src="{{ asset('assets/libs/datatables.net/js/jquery.dataTables.min.js') }}"></script>
    <script src="{{ asset('assets/libs/datatables.net-bs4/js/dataTables.bootstrap4.min.js') }}"></script>
    <script src="{{ asset('assets/libs/datatables.net-responsive/js/dataTables.responsive.min.js') }}"></script>
    <script src="{{ asset('assets/libs/datatables.net-responsive-bs4/js/responsive.bootstrap4.min.js') }}"></script>
@endsection

@section('js')
    @able('manage_payment')
        <script>
            $(document).ready(function () {
                window.withdrawTable = $('#data-table').DataTable({
                    // dom:"<'row'<'col-sm-12 col-md-6'l><'col-sm-12 col-md-6'f>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
                    dom: "<'row justify-content-between align-items-center'<'col-sm-12 custom-yh-fields-left col-md-6'><'col-sm-12 custom-yh-fields-right col-md-4'f>><'row'<'col-sm-12'tr>><'row justify-content-between align-items-center'<'col-sm-12 col-md'l><'col-sm-12 col-md'i><'col-sm-12 col-md'p>>",
                    responsive: true,
                    processing: true,
                    serverSide: true,
                    ajax: {
                        url: '{{ route('staff.withdraw.index',['status' => 0]) }}',
                    },
                    columns: [
                        {data: 'id', name: 'id'},
                        {data: 'user.username', name: 'user.username', orderable: false},
                        {data: 'method.name', name: 'method.name', orderable: false},
                        {data: 'amount', name: 'amount'},
                        {data: 'charge', name: 'charge'},
                        {data: 'status', name: 'status'},
                        {data: 'created_at', name: 'created_at', searchable: false},
                    ],
                    order: [[0, 'desc']]
                });
            })
        </script>
    @endable
@endsection
