@extends('staff.layouts.master')

@section('title', __('New FAQ'))

@section('content')
    <!-- Start Content-->
    <div class="container-fluid">

        <!-- start page title -->
        <div class="row">
            <div class="col-12">
                <div class="page-title-box">
                    <div class="page-title-right">
                        <ol class="breadcrumb m-0">
                            <li class="breadcrumb-item"><a href="{{ route('staff.dashboard') }}">@lang('Dashboard')</a>
                            </li>
                            <li class="breadcrumb-item"><a
                                    href="{{ route('staff.faq.index') }}">@lang('FAQ')</a></li>
                            <li class="breadcrumb-item active">@lang('New FAQ')</li>
                        </ol>
                    </div>
                    <h4 class="page-title">@lang('New FAQ')</h4>
                </div>
            </div>
        </div>
        <!-- end page title -->

        <form action="{{ route('staff.faq.store') }}" method="post">
            @csrf
            @include('layouts.partials.flash-alert')

            <div class="row">
                <div class="col-xl-12 col-lg-12 ">
                    <div class="card-box">
                        <div class="nimmu-default-card">
                            <div
                                class="nimmu-default-card-header nimmu-mb-30 d-flex justify-content-between align-content-center">
                                <div class="nimmu-header-left">
                                    <h5>FAQ Info</h5>
                                </div>
                                <div>
                                    <button type="submit" class="btn btn-primary btn-lg nimmu-btn nimmu-btn-primary">
                                        Save
                                    </button>
                                    <button type="reset" class="btn btn-danger btn-lg nimmu-btn nimmu-btn-danger">
                                        Reset
                                    </button>
                                </div>
                            </div>
                            <div class="nimmu-default-card-body">
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <label class="control-label">Question</label>
                                            <input type="text" name="question" class="form-control" required>
                                        </div>

                                        <div class="form-group">
                                            <label class="control-label">Answer</label>
                                            <textarea name="answer" class="form-control" required></textarea>
                                        </div>

                                        <div class="form-group">
                                            <label class="control-label">Status</label>
                                            <select name="status" class="form-control select2">
                                                <option value="1" {{ old('status') == 1?'selected':'' }}>
                                                    Enable
                                                </option>
                                                <option value="0" {{ old('status') == 0?'selected':'' }}>
                                                    Disabled
                                                </option>
                                            </select>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    @foreach($languages as $language)
                        <div class="card-box">
                            <div class="nimmu-default-card accordion">
                                <div
                                    class="nimmu-default-card-header d-flex justify-content-between align-content-center"
                                    data-toggle="collapse" data-target="#translation-{{ $language->code }}"
                                    aria-expanded="false" aria-controls="translation-{{ $language->code }}">
                                    <div class="nimmu-header-left">
                                        <h5>Translation ({{ $language->code }}) &nbsp;<i class="fas fa-angle-down"></i>
                                        </h5>
                                    </div>
                                </div>
                                <div class="nimmu-default-card-body mt-3 collapse"
                                     id="translation-{{ $language->code }}">
                                    <div class="col-lg-12">
                                        <div class="form-group">
                                            <label class="control-label">Question</label>
                                            <input type="text" name="lang[{{ $language->code }}][question]"
                                                   value="{{ (is_array(old('lang')) && is_array(old('lang')[$language->code]))?old('lang')[$language->code]['question']:'' }}"
                                                   class="form-control">
                                        </div>
                                        <div class="form-group">
                                            <label class="control-label">Answer</label>
                                            <textarea name="lang[{{ $language->code }}][answer]"
                                                      class="form-control editor">{!! (is_array(old('lang')) && is_array(old('lang')[$language->code])?old('lang')[$language->code]['answer']:'') !!}</textarea>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    @endforeach
                </div>
            </div>
        </form>

    </div> <!-- container -->
@endsection
