<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8"/>
    <title>@yield('title', __('Dashboard')) | {{ config('app.name') }} - {{ config('app.subtitle') }}</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
    <!-- App favicon -->
    <link rel="shortcut icon" href="{{ config('ui.logo.favicon.content') }}">
    @yield('css_libs')
    <!-- App css -->
    <link href="{{ asset('assets/css/bootstrap-modern.min.css') }}" rel="stylesheet" type="text/css"
          id="bs-default-stylesheet"/>
    <link href="{{ asset('assets/css/app-modern.min.css') }}" rel="stylesheet" type="text/css"
          id="app-default-stylesheet"/>

    <link href="{{ asset('assets/css/bootstrap-modern-dark.min.css') }}" rel="stylesheet" type="text/css"
          id="bs-dark-stylesheet"/>
    <link href="{{ asset('assets/css/app-modern-dark.min.css') }}" rel="stylesheet" type="text/css"
          id="app-dark-stylesheet"/>

    <!-- icons -->
    <link href="{{ asset('assets/css/icons.min.css') }}" rel="stylesheet" type="text/css"/>
    @yield('css')
</head>

<body class="loading" data-layout-mode="detached"
      data-layout='{"mode": "light", "width": "fluid", "menuPosition": "fixed", "sidebar": { "color": "light", "size": "default", "showuser": true}, "topbar": {"color": "dark"}, "showRightSidebarOnPageLoad": true}'>

<!-- Begin page -->
<div id="wrapper">
    @include('staff.layouts.partials.top-bar')
    @include('staff.layouts.partials.sidebar-left')
    <div class="content-page">
        <div class="content">
            @yield('content')
        </div>
    </div>
</div>
<!-- END wrapper -->

{{--@include('staff.layouts.partials.sidebar-right')--}}

<!-- Vendor js -->
<script src="{{ asset('assets/js/vendor.min.js') }}"></script>
@yield('js_libs')
<!-- App js -->
<script src="{{ asset('assets/js/app.min.js') }}"></script>
<script>
    function openMediaManager(callback, type, title, multiple = 0) {
        type = type || 'image'
        title = title || 'FileManager'
        var url = "{{ route('staff.unisharp.lfm.show') }}?type=" + type;
        if (multiple === 1) {
            url += '&multiple=1';
        }
        window.open(url, title, 'width=900,height=600');
        window.SetUrl = callback
    }
</script>
@yield('js')
</body>
</html>
