<div class="left-side-menu">

    <div class="h-100" data-simplebar>

        <!-- User box -->
        <div class="user-box text-center">
            <img src="{{ auth('staff')->user()->avatar }}" alt="{{ auth('staff')->user()->name }}" title="{{ auth('staff')->user()->name }}"
                 class="rounded-circle avatar-md">
            <div class="dropdown">
                <a href="javascript: void(0);" class="text-dark font-weight-normal dropdown-toggle h5 mt-2 mb-1 d-block"
                   data-toggle="dropdown">{{ auth('staff')->user()->name }}</a>
                <div class="dropdown-menu user-pro-dropdown">

                    <!-- item-->
                    <a href="{{ route('staff.profile.edit') }}" class="dropdown-item notify-item">
                        <i class="fe-user mr-1"></i>
                        <span>My Account</span>
                    </a>

                    <!-- item-->
                    <a href="{{ route('staff.logout') }}" onclick="event.preventDefault();document.getElementById('logout-form').submit()" class="dropdown-item notify-item">
                        <i class="fe-log-out mr-1"></i>
                        <span>Logout</span>
                    </a>

                </div>
            </div>
            <p class="text-muted">{{ auth('staff')->user()->role?auth('staff')->user()->role->name:'Super Admin' }}</p>
        </div>

        <!--- Sidemenu -->
        <div id="sidebar-menu">

            <ul id="side-menu">
                <li>
                    <a href="{{ route('staff.dashboard') }}">
                        <i data-feather="airplay"></i>
                        <span> Dashboards </span>
                    </a>
                </li>

                <li class="menu-title mt-2">Apps</li>

                @able('manage_user')
                <li>
                    <a href="#user" data-toggle="collapse">
                        <i class="fa fa-users-cog"></i>
                        <span> Users </span>
                        <span class="menu-arrow"></span>
                    </a>
                    <div class="collapse" id="user">
                        <ul class="nav-second-level">
                            <li>
                                <a href="{{ route('staff.user.index') }}">All User</a>
                            </li>
                            <li>
                                <a href="{{ route('staff.user.create') }}">Add New</a>
                            </li>
                        </ul>
                    </div>
                </li>
                @endable

                @able('manage_role')
                <li class="{{ request()->route()->getName() == 'staff.staff-role.index'?'nimmu-active':'' }}">
                    <a href="{{ route('staff.staff-role.index') }}">
                        <i class="fab fa-critical-role"></i>
                        <span>Role Management</span>
                    </a>
                </li>
                @endable
                @able('manage_staff')
                <li class="{{ request()->route()->getName() == 'staff.staff.index'?'nimmu-active':'' }}">
                    <a href="{{ route('staff.staff.index') }}">
                        <i class="fa fa-user"></i>
                        <span>Staff Management</span>
                    </a>
                </li>
                @endable

                @able('manage_payment')
                <li class="{{ request()->route()->getName() == 'staff.transaction.index'?'nimmu-active':'' }}">
                    <a href="{{ route('staff.transaction.index') }}">
                        <i class="fa fa-money-bill"></i>
                        <span>Transactions</span>
                    </a>
                </li>

                <li class="{{ request()->route()->getName() == 'staff.withdraw.index'?'nimmu-active':'' }}">
                    <a href="{{ route('staff.withdraw.index') }}">
                        <i class="fa fa-money-check"></i>
                        <span>Withdraw</span>
                    </a>
                </li>
                @endable

                @able('manage_front_end')
                <li>
                    <a href="#page" data-toggle="collapse">
                        <i class="fas fa-pager"></i>
                        <span> Page </span>
                        <span class="menu-arrow"></span>
                    </a>
                    <div class="collapse" id="page">
                        <ul class="nav-second-level">
                            <li>
                                <a href="{{ route('staff.page.index') }}">All Pages</a>
                            </li>
                            <li>
                                <a href="{{ route('staff.page.create') }}">Add New</a>
                            </li>
                        </ul>
                    </div>
                </li>

                <li>
                    <a href="#user" data-toggle="collapse">
                        <i class="fas fa-rss"></i>
                        <span> Blog Posts </span>
                        <span class="menu-arrow"></span>
                    </a>
                    <div class="collapse" id="user">
                        <ul class="nav-second-level">
                            <li>
                                <a href="{{ route('staff.blog-post.index') }}">All Posts</a>
                            </li>
                            <li>
                                <a href="{{ route('staff.blog-post.create') }}">Add New</a>
                            </li>
                        </ul>
                    </div>
                </li>

                <li>
                    <a href="#faq" data-toggle="collapse">
                        <i class="fa fa-question-circle" aria-hidden="true"></i>
                        <span> FAQ </span>
                        <span class="menu-arrow"></span>
                    </a>
                    <div class="collapse" id="faq">
                        <ul class="nav-second-level">
                            <li>
                                <a href="{{ route('staff.faq.index') }}">All FAQ</a>
                            </li>
                            <li>
                                <a href="{{ route('staff.faq.create') }}">Add New</a>
                            </li>
                        </ul>
                    </div>
                </li>
                @endable

                @able('manage_user')
                <li>
                    <a href="#subscribers" data-toggle="collapse">
                        <i class="fa fa-rocket" aria-hidden="true"></i>
                        <span> Subscribers </span>
                        <span class="menu-arrow"></span>
                    </a>
                    <div class="collapse" id="subscribers">
                        <ul class="nav-second-level">
                            <li>
                                <a href="{{ route('staff.subscribers.index') }}">All Subscribers</a>
                            </li>
                            <li>
                                <a href="{{ route('staff.subscribers.create') }}">Add New</a>
                            </li>
                        </ul>
                    </div>
                </li>
                @endable

                @able('manage_setting')
                <li class="menu-title mt-2">Settings</li>
                @endable

                @able('manage_setting')
                <li>
                    <a href="{{ route('staff.setting.general.index') }}">
                        <i class="fas fa-cogs"></i>
                        <span> General Settings </span>
                    </a>
                </li>
                <li>
                    <a href="{{ route('staff.setting.theme.setting') }}">
                        <i class="far fa-image"></i>
                        <span> Theme Settings </span>
                    </a>
                </li>
                <li>
                    <a href="{{ route('staff.setting.logo.index') }}">
                        <i class="fas fa-draw-polygon"></i>
                        <span> Logo Settings </span>
                    </a>
                </li>
                <li>
                    <a href="{{ route('staff.setting.email.index') }}">
                        <i class="fas fa-envelope"></i>
                        <span> Email Configurations </span>
                    </a>
                </li>
                <li>
                    <a href="#appearance" data-toggle="collapse">
                        <i class="far fa-newspaper"></i>
                        <span> Appearance </span>
                        <span class="menu-arrow"></span>
                    </a>
                    <div class="collapse" id="appearance">
                        <ul class="nav-second-level">
                            <li>
                                <a href="{{ route('staff.setting.menu.index') }}">Menu</a>
                            </li>
                            <li>
                                <a href="{{ route('staff.setting.key-features.index') }}">Key Features</a>
                            </li>
                            <li>
                                <a href="{{ route('staff.setting.our-services.index') }}">Our Services</a>
                            </li>
                            <li>
                                <a href="{{ route('staff.setting.workflow.index') }}">Workflow</a>
                            </li>
                        </ul>
                    </div>
                </li>
                <li>
                    <a href="#currency" data-toggle="collapse">
                        <i class="fas fa-dollar-sign"></i>
                        <span> Currency </span>
                        <span class="menu-arrow"></span>
                    </a>
                    <div class="collapse" id="currency">
                        <ul class="nav-second-level">
                            <li>
                                <a href="{{ route('staff.setting.currency.index') }}">All Currency</a>
                            </li>
                            <li>
                                <a href="{{ route('staff.setting.currency.create') }}">Add New</a>
                            </li>
                        </ul>
                    </div>
                </li>
                <li>
                    <a href="{{ route('staff.setting.payment-gateway.index') }}">
                        <i class="fab fa-paypal"></i>
                        <span> Payment Gateway </span>
                    </a>
                </li>
                <li>
                    <a href="#withdraw-method" data-toggle="collapse">
                        <i class="fa fa-money-check-alt"></i>
                        <span> Withdraw Method </span>
                        <span class="menu-arrow"></span>
                    </a>
                    <div class="collapse" id="withdraw-method">
                        <ul class="nav-second-level">
                            <li>
                                <a href="{{ route('staff.setting.withdraw-method.index') }}">All Methods</a>
                            </li>
                            <li>
                                <a href="{{ route('staff.setting.withdraw-method.create') }}">Add New</a>
                            </li>
                        </ul>
                    </div>
                </li>
                <li>
                    <a href="{{ route('staff.setting.language.index') }}">
                        <i class="fas fa-language"></i>
                        <span> Languages </span>
                    </a>
                </li>
                <li>
                    <a href="{{ route('staff.setting.template.index') }}">
                        <i class="fas fa-copy"></i>
                        <span> Notification Templates </span>
                    </a>
                </li>
                <li>
                    <a href="{{ route('staff.setting.application.update.index') }}">
                        <i class="fas fa-file-archive"></i>
                        <span> Update Manager </span>
                    </a>
                </li>
                @endable
            </ul>

        </div>
        <!-- End Sidebar -->

        <div class="clearfix"></div>

    </div>
    <!-- Sidebar -left -->

</div>
