@extends('staff.layouts.master')

@section('page_title', 'General Settings')

@section('css_libs')
{{--    <link href="{{ asset('assets/staff/css/select2.min.css') }}" rel="stylesheet">--}}
{{--    <link href="{{ asset('assets/staff/css/select2-bootstrap.css') }}" rel="stylesheet">--}}
    <link href="{{ asset('assets/libs/bootstrap4-toggle/bootstrap4-toggle.min.css') }}" rel="stylesheet">
    <link href="{{ asset('assets/libs/select2/css/select2.min.css') }}" rel="stylesheet" type="text/css"/>
@endsection

@section('css')
    <style>
        .toggle.btn {
            width: 100% !important;
        }
    </style>
@endsection

@section('content')
    <div class="container-fluid">
        <div class="row">
            <div class="col-12">
                <div class="page-title-box">
                    <div class="page-title-right">
                        <ol class="breadcrumb m-0">
                            <li class="breadcrumb-item"><a href="{{ route('staff.dashboard') }}">@lang('Dashboard')</a></li>
                            <li class="breadcrumb-item">@lang('Setting')</li>
                            <li class="breadcrumb-item">@lang('General Settings')</li>
                        </ol>
                    </div>
                    <h4 class="page-title">@lang('General Settings')</h4>
                </div>
            </div>
        </div>
        <div class="row" id="app">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        @include('layouts.partials.flash-alert')
                        @if($errors->any())
                            @foreach($errors->all() as $error)
                                <div class="alert alert-danger alert-dismissable fade show" role="alert">
                                    {{ $error }}
                                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                            @endforeach
                        @endif
                        <form action="{{ route('staff.setting.general.update') }}" method="post">
                            @csrf
                            @method('PUT')
                            <div class="container-fluid nimmu-buttons">
                                <div class="nimmu-default-card nimmu-buttons">
                                    <div class="nimmu-default-card-body">
                                        <div class="row">
                                            <div class="col-md-4">
                                                <div class="form-group">
                                                    <label for="project_name">Project Name</label>
                                                    <input id="project_name" type="text" class="form-control" name="project_name"
                                                           value="{{ get_option('project_name', config('app.name')) }}" required>
                                                </div>
                                            </div>
                                            <div class="col-md-4">
                                                <div class="form-group">
                                                    <label for="timezone">Timezone</label>
                                                    <select name="timezone" id="timezone" class="form-control select2">
                                                        @foreach(config('timezones') as $k => $v)
                                                            <option
                                                                value="{{ $k }}" {{ get_option('timezone', config('app.timezone')) == $k?'selected':'' }}>{{ $v }}</option>
                                                        @endforeach
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="col-md-4">
                                                <div class="form-group">
                                                    <label for="debug_mode">Debug Mode</label>
                                                    <input id="debug_mode" name="debug_mode" type="checkbox"
                                                           {{ get_option('debug_mode', (config('app.debug')?1:0))?'checked':'' }} data-toggle="toggle"
                                                           data-on="Enabled" data-off="Disabled" data-onstyle="danger"
                                                           data-offstyle="success">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-4">
                                                <div class="form-group">
                                                    <label for="email_verification">Email Verification</label>
                                                    <input id="email_verification" name="email_verification" type="checkbox"
                                                           {{ get_option('email_verification', (config('iwallet.email_verification')?1:0))?'checked':'' }} data-toggle="toggle"
                                                           data-on="Enabled" data-off="Disabled" data-onstyle="success"
                                                           data-offstyle="danger">
                                                </div>
                                            </div>
                                            <div class="col-md-4">
                                                <div class="form-group">
                                                    <label for="sms_verification">SMS Verification</label>
                                                    <input id="sms_verification" name="sms_verification" type="checkbox"
                                                           {{ get_option('sms_verification', (config('iwallet.sms_verification')?1:0))?'checked':'' }} data-toggle="toggle"
                                                           data-on="Enabled" data-off="Disabled" data-onstyle="success"
                                                           data-offstyle="danger">
                                                </div>
                                            </div>
                                            <div class="col-md-4">
                                                <div class="form-group">
                                                    <label for="forgot_password_via">Forgot Password Via</label>
                                                    <select name="forgot_password_via" id="forgot_password_via"
                                                            class="form-control select2">
                                                        <option
                                                            value="email" {{ get_option('forgot_password_via', config('iwallet.forgot_password_via')) == 'email'?'selected':'' }}>
                                                            Email
                                                        </option>
                                                        <option
                                                            value="sms" {{ get_option('forgot_password_via', config('iwallet.forgot_password_via')) == 'sms'?'selected':'' }}>
                                                            SMS
                                                        </option>
                                                    </select>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-4">
                                                <div class="form-group">
                                                    <label for="email_notification">Email Notification</label>
                                                    <input id="email_notification" name="email_notification" type="checkbox"
                                                           {{ get_option('email_notification', (config('iwallet.email_notification')?1:0))?'checked':'' }} data-toggle="toggle"
                                                           data-on="Enabled" data-off="Disabled" data-onstyle="success"
                                                           data-offstyle="danger">
                                                </div>
                                            </div>
                                            <div class="col-md-4">
                                                <div class="form-group">
                                                    <label for="sms_notification">SMS Notification</label>
                                                    <input id="sms_notification" name="sms_notification" type="checkbox"
                                                           {{ get_option('sms_notification', (config('iwallet.sms_notification')?1:0))?'checked':'' }} data-toggle="toggle"
                                                           data-on="Enabled" data-off="Disabled" data-onstyle="success"
                                                           data-offstyle="danger">
                                                </div>
                                            </div>
                                            <div class="col-md-4">
                                                <div class="form-group">
                                                    <label for="fcm_notification">FCM Notification (Firebase Cloud Messaging)</label>
                                                    <input id="fcm_notification" name="fcm_notification" type="checkbox"
                                                           {{ get_option('fcm_notification', (config('iwallet.fcm_notification')?1:0))?'checked':'' }} data-toggle="toggle"
                                                           data-on="Enabled" data-off="Disabled" data-onstyle="success"
                                                           data-offstyle="danger">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-4">
                                                <div class="form-group">
                                                    <label for="default_user_status">Default Customer Status</label>
                                                    <input id="default_user_status" name="default_user_status" type="checkbox"
                                                           {{ get_option('default_user_status', (config('iwallet.default_user_status')?1:0))?'checked':'' }} data-toggle="toggle"
                                                           data-on="Enabled" data-off="Disabled" data-onstyle="success"
                                                           data-offstyle="danger">
                                                </div>
                                            </div>
                                            <div class="col-md-4">
                                                <div class="form-group">
                                                    <label for="sms_via">SMS Via</label>
                                                    <select name="sms_via" id="sms_via"
                                                            class="form-control select2">
                                                        <option
                                                            value="twilio" {{ get_option('sms_via', config('iwallet.sms_via')) == 'twilio'?'selected':'' }}>
                                                            Twilio
                                                        </option>
                                                        <option
                                                            value="other" {{ get_option('sms_via', config('iwallet.sms_via')) == 'other'?'selected':'' }}>
                                                            Other API
                                                        </option>
                                                    </select>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <button class="btn btn-primary btn-block btn-lg nimmu-btn nimmu-btn-primary"
                                                    type="submit">Update Settings
                                            </button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div> <!-- end card body-->
                </div> <!-- end card -->
            </div><!-- end col-->
        </div>
    </div>
@endsection

@section('js_libs')
{{--    <script src="{{ asset('assets/staff/js/select2.full.min.js') }}"></script>--}}
    <script src="{{ asset('assets/libs/tinymce/tinymce.min.js') }}"></script>
    <script src="{{ asset('assets/libs/bootstrap4-toggle/bootstrap4-toggle.min.js') }}"></script>
    <script src="{{ asset('assets/libs/select2/js/select2.min.js') }}"></script>
@endsection

@section('js')
    <script>
        var editor_config = {
            path_absolute: "{{ url('/') }}/",
            selector: ".editor",
            convert_urls: false,
            plugins: [
                "advlist autolink lists link image charmap print preview hr anchor pagebreak",
                "searchreplace wordcount visualblocks visualchars code fullscreen",
                "insertdatetime media nonbreaking save table contextmenu directionality",
                "emoticons template paste textcolor colorpicker textpattern",
                "fullpage"
            ],
            toolbar: "fullpage | insertfile undo redo | styleselect | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | link image media",
            relative_urls: false,
            file_browser_callback: function (field_name, url, type, win) {
                var x = window.innerWidth || document.documentElement.clientWidth || document.getElementsByTagName('body')[0].clientWidth;
                var y = window.innerHeight || document.documentElement.clientHeight || document.getElementsByTagName('body')[0].clientHeight;

                var cmsURL = editor_config.path_absolute + 'staff/media?field_name=' + field_name;
                if (type == 'image') {
                    cmsURL = cmsURL + "&type=Images";
                    var title = 'Select Images'
                } else {
                    cmsURL = cmsURL + "&type=Files";
                    var title = 'Select FIles'
                }

                tinyMCE.activeEditor.windowManager.open({
                    file: cmsURL,
                    title: title,
                    width: x * 0.8,
                    height: y * 0.8,
                    resizable: "yes",
                    close_previous: "no"
                });
            }
        };

        tinymce.init(editor_config);
    </script>
    <script>
        (function ($) {
            $(document).ready(function () {
                $('.select2').select2();
            })
        })(jQuery)
    </script>
@endsection
