@extends('staff.layouts.master')

@section('page_title', 'Theme Settings')

@section('css_libs')
{{--    <link href="{{ asset('assets/staff/css/select2.min.css') }}" rel="stylesheet">--}}
{{--    <link href="{{ asset('assets/staff/css/select2-bootstrap.css') }}" rel="stylesheet">--}}
    <link href="{{ asset('assets/libs/bootstrap4-toggle/bootstrap4-toggle.min.css') }}" rel="stylesheet">
    <link href="{{ asset('assets/libs/select2/css/select2.min.css') }}" rel="stylesheet" type="text/css"/>
@endsection

@section('css')
    <style>
        .toggle.btn {
            width: 100% !important;
        }
    </style>
@endsection

@section('content')
    <div class="container-fluid">
        <div class="row">
            <div class="col-12">
                <div class="page-title-box">
                    <div class="page-title-right">
                        <ol class="breadcrumb m-0">
                            <li class="breadcrumb-item"><a href="{{ route('staff.dashboard') }}">@lang('Dashboard')</a></li>
                            <li class="breadcrumb-item">@lang('Setting')</li>
                            <li class="breadcrumb-item">@lang('Theme Settings')</li>
                        </ol>
                    </div>
                    <h4 class="page-title">@lang('Theme Settings')</h4>
                </div>
            </div>
        </div>
        <div class="row" id="app">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        @include('layouts.partials.flash-alert')
                        @if($errors->any())
                            @foreach($errors->all() as $error)
                                <div class="alert alert-danger alert-dismissable fade show" role="alert">
                                    {{ $error }}
                                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                            @endforeach
                        @endif
                        <form action="{{ route('staff.setting.update.theme.setting') }}" method="post">
                            @csrf
                            @method('PUT')
                            <div class="container-fluid nimmu-buttons">
                                <div class="nimmu-default-card nimmu-buttons">
                                    <div class="nimmu-default-card-body">
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label class="control-label">Theme Color</label>
                                                    <input type="color" class="form-control" name="theme_color" value="{{get_option('theme_color','#cab42c')}}" required>
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label class="control-label">Project Title</label>
                                                    <input type="text" class="form-control" name="project_title" value="{{get_option('project_title',env('APP_NAME'))}}" required>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label class="control-label">Contact phone no</label>
                                                    <input type="text" class="form-control" name="contact_phone_no" value="{{get_option('contact_phone_no','')}}">
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label class="control-label">Contact email</label>
                                                    <input type="text" class="form-control" name="contact_email_address" value="{{get_option('contact_email_address','')}}">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label class="control-label">Contact address</label>
                                                    <input type="text" class="form-control" name="contact_address" value="{{get_option('contact_address','')}}">
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label class="control-label">All rights reserved</label>
                                                    <input type="text" class="form-control" name="right_reserved_text" value="{{get_option('right_reserved_text','')}}">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label class="control-label">Footer About Section</label>
                                                    <div class="input-group mb-2" v-for="(about_us, index) in about_section" :key="index">
                                                        <input type="text" :name="`footer_about_section[`+index+`][title]`" aria-label="Title" placeholder="Title" class="form-control" v-model="about_us.title">
                                                        <input type="text" :name="`footer_about_section[`+index+`][url]`" aria-label="URL" placeholder="URL" class="form-control" v-model="about_us.url">
                                                        <div class="input-group-prepend" @click.prevent="removeAboutUsItem(index)">
                                                            <span class="input-group-text text-danger"><i class="fas fa-trash-alt"></i></span>
                                                        </div>
                                                    </div>
                                                    <button type="button" class="btn btn-xs btn-primary mt-3 float-right" @click.prvent="addAboutUsItem">Add More</button>
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label class="control-label">Footer Service Section</label>
                                                    <div class="input-group mb-2" v-for="(service, index) in service_section" :key="index">
                                                        <input type="text" :name="`footer_service_section[`+index+`][title]`" aria-label="Title" placeholder="Title" class="form-control" v-model="service.title">
                                                        <input type="text" :name="`footer_service_section[`+index+`][url]`" aria-label="URL" placeholder="URL" class="form-control" v-model="service.url">
                                                        <div class="input-group-prepend" @click.prevent="removeServiceItem(index)">
                                                            <span class="input-group-text text-danger"><i class="fas fa-trash-alt"></i></span>
                                                        </div>
                                                    </div>
                                                    <button type="button" class="btn btn-xs btn-primary mt-3 float-right" @click.prvent="addServiceItem">Add More</button>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label class="control-label">Meta Tags</label>
                                                    <div class="input-group mb-2" v-for="(meta_tag, index) in meta_tags" :key="index">
                                                        <input type="text" :name="`theme_meta_tags[`+index+`][name]`" aria-label="Name" placeholder="Name" class="form-control" v-model="meta_tag.name">
                                                        <input type="text" :name="`theme_meta_tags[`+index+`][content]`" aria-label="Content" placeholder="Content" class="form-control" v-model="meta_tag.content">
                                                        <div class="input-group-prepend" @click.prevent="removeMetaTag(index)">
                                                            <span class="input-group-text text-danger"><i class="fas fa-trash-alt"></i></span>
                                                        </div>
                                                    </div>
                                                    <button type="button" class="btn btn-xs btn-primary mt-3 float-right" @click.prvent="addMetaTag">Add More</button>
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label class="control-label">Footer about us</label>
                                                    <textarea type="text" class="form-control" name="footer_about_us">{{get_option('footer_about_us','')}}</textarea>
                                                </div>
                                            </div>
                                        </div>
                                        <h3>Social Sharing</h3>
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label class="control-label">Facebook </label>
                                                    <input type="text" class="form-control" name="facebook_page_address" value="{{get_option('facebook_page_address','')}}">
                                                </div>
                                                <div class="form-group">
                                                    <label class="control-label">Twitter </label>
                                                    <input type="text" class="form-control" name="twitter_page_address" value="{{get_option('twitter_page_address','')}}">
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label class="control-label">Youtube </label>
                                                    <input type="text" class="form-control" name="youtube_page_address" value="{{get_option('youtube_page_address','')}}">
                                                </div>
                                                <div class="form-group">
                                                    <label class="control-label">LinkedIn</label>
                                                    <input type="text" class="form-control" name="linkedIn_page_address" value="{{get_option('linkedIn_page_address','')}}">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <button class="btn btn-success" type="submit">Save</button>
                                            <button class="btn btn-outline-danger" type="reset">Reset</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div> <!-- end card body-->
                </div> <!-- end card -->
            </div><!-- end col-->
        </div>
    </div>
@endsection

@section('js_libs')
{{--    <script src="{{ asset('assets/staff/js/select2.full.min.js') }}"></script>--}}
    <script src="{{ asset('assets/js/vue.js') }}"></script>
    <script src="{{ asset('assets/libs/tinymce/tinymce.min.js') }}"></script>
    <script src="{{ asset('assets/libs/bootstrap4-toggle/bootstrap4-toggle.min.js') }}"></script>
    <script src="{{ asset('assets/libs/select2/js/select2.min.js') }}"></script>
@endsection

@section('js')
    <script>
        $(document).ready(function() {
            $.fn.select2.defaults.set("theme", "bootstrap");
            $('.select2').select2();

            $(document).on('click', '.btn-select', function (e) {
                e.preventDefault()
                openMediaManager(items => {
                    if (items[0] && items[0].hasOwnProperty('url')) {
                        $('#cate').val(items[0].url)
                        $('#cate-preview').attr('src', items[0].url)
                    }
                }, 'image', 'Select Banner Image')
            })

            $(document).on('click', '.btn-select2', function (e) {
                e.preventDefault()
                openMediaManager(items => {
                    if (items[0] && items[0].hasOwnProperty('url')) {
                        $('#banner').val(items[0].url)
                        $('#banner-preview').attr('src', items[0].url)
                    }
                }, 'image', 'Select Banner Image')
            })
        })

        window.app = new Vue({
            el: '#app',
            data: {
                service_section: @json(json_decode(get_option('footer_service_section','[]'))),
                about_section: @json(json_decode(get_option('footer_about_section','[]'))),
                meta_tags: @json(json_decode(get_option('theme_meta_tags','[]'))),
            },
            methods: {
                addAboutUsItem(){
                    this.about_section.push({title: '', url: ''});
                },
                removeAboutUsItem(index){
                    this.about_section.splice(index, 1)
                },
                addServiceItem(){
                    this.service_section.push({title: '', url: ''});
                },
                removeServiceItem(index){
                    this.service_section.splice(index, 1)
                },
                addMetaTag(){
                    this.meta_tags.push({name: '', content: ''});
                },
                removeMetaTag(index){
                    this.meta_tags.splice(index, 1)
                }
            },
        })
    </script>
    <script>
        (function ($) {
            $(document).ready(function () {
                $('.select2').select2();
            })
        })(jQuery)
    </script>
@endsection
