
@extends('staff.layouts.master')

@section('title', __('Edit Subscriber'))

@section('css_libs')
    <link href="{{ asset('assets/libs/select2/css/select2.min.css') }}" rel="stylesheet" type="text/css"/>
    <link rel="stylesheet" href="{{ asset('assets/css/select2-bootstrap.css') }}">
@endsection

@section('content')
    <!-- Start Content-->
    <div class="container-fluid">

        <!-- start page title -->
        <div class="row">
            <div class="col-12">
                <div class="page-title-box">
                    <div class="page-title-right">
                        <ol class="breadcrumb m-0">
                            <li class="breadcrumb-item"><a href="{{ route('staff.dashboard') }}">@lang('Dashboard')</a>
                            </li>
                            <li class="breadcrumb-item"><a
                                    href="{{ route('staff.subscribers.index') }}">@lang('All Subscribers')</a></li>
                            <li class="breadcrumb-item active">@lang('Edit Subscriber')</li>
                        </ol>
                    </div>
                    <h4 class="page-title">@lang('Edit Subscriber')</h4>
                </div>
            </div>
        </div>
        <!-- end page title -->

        <form action="{{ route('staff.subscribers.update',$subscriber->id) }}" method="post">
            @csrf
            @method('PUT')

            @include('layouts.partials.flash-alert')
            @if ($errors->any())
                <div class="alert alert-danger">
                    <ul>
                        @foreach ($errors->all() as $error)
                            <li>{{ $error }}</li>
                        @endforeach
                    </ul>
                </div>
            @endif

            <div class="row">
                <div class="col-xl-12 col-lg-12 ">
                    <div class="card-box">
                        <div class="nimmu-default-card">
                            <div
                                class="nimmu-default-card-header nimmu-mb-30 d-flex justify-content-between align-content-center">
                                <div class="nimmu-header-left">
                                    <h5>Subscriber Info</h5>
                                </div>
                                <div>
                                    <button type="submit" class="btn btn-primary btn-lg nimmu-btn nimmu-btn-primary">
                                        Update
                                    </button>
                                    <button type="reset" class="btn btn-danger btn-lg nimmu-btn nimmu-btn-danger">
                                        Reset
                                    </button>
                                </div>
                            </div>
                            <div class="nimmu-default-card-body">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label for="name">Name</label>
                                            <input type="text" id="name" name="name" class="form-control" placeholder="Subscriber Name" value="{{ $subscriber->name }}">
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label for="email">Email</label>
                                            <input type="email" id="email" name="email" class="form-control" placeholder="Subscriber Email" value="{{ $subscriber->email }}" required>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label for="phone_no">Phone No</label>
                                            <input type="text" id="phone_no" name="phone_no" class="form-control" placeholder="Phone No" value="{{ $subscriber->phone_no }}">
                                        </div>
                                    </div>

                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="control-label">Status</label>
                                            <select name="status" class="form-control select2">
                                                <option value="1" {{ $subscriber->status == 1?'selected':'' }}>
                                                    Enable
                                                </option>
                                                <option value="0" {{ $subscriber->status == 0?'selected':'' }}>
                                                    Disabled
                                                </option>
                                            </select>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </form>


    </div> <!-- container -->
@endsection

@section('js_libs')
    <script src="{{ asset('assets/js/select2.full.min.js') }}"></script>
@endsection

@section('js')
    <script>
        (function ($) {
            $.fn.select2.defaults.set("theme", "bootstrap");
        })(jQuery)
    </script>
@endsection
