@extends('staff.layouts.master')

@section('title', __('All Withdraws'))

@section('css_libs')
    <link href="{{ asset('assets/libs/datatables.net-bs4/css/dataTables.bootstrap4.min.css') }}" rel="stylesheet"
          type="text/css"/>
    <link href="{{ asset('assets/libs/datatables.net-responsive-bs4/css/responsive.bootstrap4.min.css') }}"
          rel="stylesheet" type="text/css"/>
    <link href="{{ asset('assets/libs/datatables.net-buttons-bs4/css/buttons.bootstrap4.min.css') }}" rel="stylesheet"
          type="text/css"/>
    <link rel="stylesheet" href="{{ asset('assets/libs/daterangepicker/daterangepicker.css') }}">
@endsection

@section('css')
    <style>
        #date_range {
            background: #fff;
            cursor: pointer;
            padding: 4px 10px;
            border: 1px solid #ccc;
            width: 100%
        }
        table tr td:last-child {
            display: flex;
        }
        table.dataTable.nowrap td {
            white-space: normal !important;
        }
    </style>
@endsection

@section('content')
    <!-- Start Content-->
    <div class="container-fluid">

        <!-- start page title -->
        <div class="row">
            <div class="col-12">
                <div class="page-title-box">
                    <div class="page-title-right">
                        <ol class="breadcrumb m-0">
                            <li class="breadcrumb-item"><a href="{{ route('staff.dashboard') }}">@lang('Dashboard')</a>
                            </li>
                            <li class="breadcrumb-item active">@lang('All Withdraws')</li>
                        </ol>
                    </div>
                    <h4 class="page-title">@lang('All Withdraws')</h4>
                </div>
            </div>
        </div>
        <!-- end page title -->

{{--        <div class="row justify-content-center justify-content-md-end">--}}
{{--            <div class="col-md-2 col-sm-6">--}}
{{--                <a href="{{ route('staff.user.create') }}" class="btn btn-block btn-primary">New User</a>--}}
{{--            </div>--}}
{{--        </div>--}}

        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        @include('layouts.partials.flash-alert')
                        <table id="data-table" class="table table-bordered dt-responsive nowrap w-100">
                            <thead>
                            <tr>
                                <th>@lang('User')</th>
                                <th>@lang('Method')</th>
                                <th>@lang('Amount')</th>
                                <th>@lang('Charge')</th>
                                <th>@lang('Status')</th>
                                <th>@lang('Created At')</th>
                                <th>@lang('Action')</th>
                            </tr>
                            </thead>
                        </table>

                    </div> <!-- end card body-->
                </div> <!-- end card -->
            </div><!-- end col-->
        </div>
        <!-- end row-->


    </div> <!-- container -->

    <div class="modal fade" id="show-modal">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title">Withdraw Fields</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span></button>
                </div>
                <div class="modal-body fields">

                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default pull-left" data-dismiss="modal">Close
                    </button>
                </div>
            </div>
            <!-- /.modal-content -->
        </div>
        <!-- /.modal-dialog -->
    </div>

    <div class="modal fade" id="accept-modal">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title">Accept Withdraw Request</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span></button>
                </div>
                <form method="post">
                    @csrf
                    @method('PUT')
                    <input type="hidden" name="action" value="accept">
                    <div class="modal-body">
                        <h5 class="text-center">Are you sure to accept this request?</h5>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-default pull-left" data-dismiss="modal">Close
                        </button>
                        <button type="submit" class="btn btn-primary">Accept</button>
                    </div>
                </form>
            </div>
            <!-- /.modal-content -->
        </div>
        <!-- /.modal-dialog -->
    </div>

    <div class="modal fade" id="reject-modal">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title">Reject Withdraw Request</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span></button>
                </div>
                <form method="post">
                    @csrf
                    @method('PUT')
                    <input type="hidden" name="action" value="reject">
                    <div class="modal-body">
                        <h5 class="text-center">Are you sure to reject & refund this request?</h5>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-default pull-left" data-dismiss="modal">Close
                        </button>
                        <button type="submit" class="btn btn-outline-danger">Reject</button>
                    </div>
                </form>
            </div>
            <!-- /.modal-content -->
        </div>
        <!-- /.modal-dialog -->
    </div>

    <div class="d-none" id="yh-filter-inputs">
        <div class="row align-items-center">
{{--            <div class="col-md-3">--}}
{{--                <select id="user_type" class="custom-select">--}}
{{--                    <option value="*">All</option>--}}
{{--                    <option value="1">Delivery Man</option>--}}
{{--                    <option value="2">Shop/Vendor</option>--}}
{{--                </select>--}}
{{--            </div>--}}
            <div class="col-md-3">
                <select id="withdrawStatus" class="custom-select">
                    <option value="*">All</option>
                    <option value="0">Pending</option>
                    <option value="1">Accepted</option>
                    <option value="2">Refunded</option>
                </select>
            </div>
            <div class="col-md-6">
                <div id="date_range">
                    <i class="fa fa-calendar"></i>&nbsp;
                    <span></span> <i class="fa fa-caret-down"></i>
                </div>
                <input type="hidden" id="start_date"
                       value="{{ request()->start_date??'' }}">
                <input type="hidden" id="end_date"
                       value="{{ request()->end_date??'' }}">
            </div>
        </div>
    </div>
@endsection

@section('js_libs')
    <script src="{{ asset('assets/libs/datatables.net/js/jquery.dataTables.min.js') }}"></script>
    <script src="{{ asset('assets/libs/datatables.net-bs4/js/dataTables.bootstrap4.min.js') }}"></script>
    <script src="{{ asset('assets/libs/datatables.net-responsive/js/dataTables.responsive.min.js') }}"></script>
    <script src="{{ asset('assets/libs/datatables.net-responsive-bs4/js/responsive.bootstrap4.min.js') }}"></script>
    <script src="{{ asset('assets/libs/moment/min/moment.min.js') }}"></script>
    <script src="{{ asset('assets/libs/daterangepicker/daterangepicker.min.js') }}"></script>
@endsection

@section('js')
    <script>
        (function ($) {
            var start_date = $('#start_date').val()
            var end_date = $('#end_date').val()
            if (start_date != '') {
                var start = moment(start_date, 'DD-MM-YYYY')
            } else {
                var start = null;
            }
            if (end_date != '') {
                var end = moment(end_date, 'DD-MM-YYYY')
            } else {
                var end = null;
            }

            function cb(startDate, endDate) {
                if (startDate) {
                    $('#start_date').val(startDate.format('DD-MM-YYYY')).trigger('input')
                }
                if (endDate) {
                    $('#end_date').val(endDate.format('DD-MM-YYYY')).trigger('input')
                }
                if (startDate && endDate) {
                    $('#date_range span').html(startDate.format('MMMM D, YYYY') + ' - ' + endDate.format('MMMM D, YYYY'));
                }
            }

            $(document).on('input change', '#user_type, #withdrawStatus, #start_date, #end_date', function () {
                try {
                    window.withdrawTable.draw()
                } catch (e) {

                }
            })

            $(document).on('click', '.btn-show', function (e) {
                e.preventDefault();
                let fields = $(this).data('fields');
                if (typeof fields == 'object') {
                    let html = ''
                    var filed_contents = [];
                    var index = 0;
                    fields.forEach(field => {
                        if (field.content == null){
                            if (index>0 && (filed_contents[index-1]['input_id'] ==field.input_id)){
                                filed_contents[index-1]['content'] += ', ' + field.option.title;
                            }
                            else {
                                filed_contents[index]={};
                                filed_contents[index]['title']= field.title;
                                filed_contents[index]['content']= field.option.title;
                                filed_contents[index]['input_id']= field.input_id;
                                index++;
                            }
                        }
                        else {
                            filed_contents[index]={};
                            filed_contents[index]['title']= field.title;
                            filed_contents[index]['content']= field.content;
                            filed_contents[index]['input_id']= field.input_id;
                            index++;
                        }
                    })

                    filed_contents.forEach(filed_content => {
                        html += '<div class="single-field border my-2 p-2"><p>' +'<span class="font-weight-bold">'+ filed_content.title + '</span>' +' : ' + filed_content.content +'</p></div>'
                    })

                    $('#show-modal .fields').html(html)
                }
                $('#show-modal').modal()
            })

            $(document).on('click', '.btn-approve', function (e) {
                e.preventDefault();
                var id = $(this).data('id');
                var url = '{{ url('staff/withdraw') }}/' + id
                $('#accept-modal form').prop('action', url);
                $('#accept-modal').modal();
            })

            $(document).on('click', '.btn-refund', function (e) {
                e.preventDefault();
                var id = $(this).data('id');
                var url = '{{ url('staff/withdraw') }}/' + id
                $('#reject-modal form').prop('action', url);
                $('#reject-modal').modal();
            })

            $(document).ready(function () {
                window.withdrawTable = $('#data-table').DataTable({
                    // dom:"<'row'<'col-sm-12 col-md-6'l><'col-sm-12 col-md-6'f>><'row'<'col-sm-12'tr>><'row'<'col-sm-12 col-md-5'i><'col-sm-12 col-md-7'p>>",
                    dom: "<'row justify-content-between align-items-center'<'col-sm-12 custom-yh-fields-left col-md-6'><'col-sm-12 custom-yh-fields-right col-md-4'f>><'row'<'col-sm-12'tr>><'row justify-content-between align-items-center'<'col-sm-12 col-md'l><'col-sm-12 col-md'i><'col-sm-12 col-md'p>>",
                    responsive: true,
                    processing: true,
                    serverSide: true,
                    ajax: {
                        url: '{{ route('staff.withdraw.index') }}',
                        data: function (d) {
                            return $.extend({}, d, {
                                user_type: ($('#user_type').val() || '*'),
                                status: ($('#withdrawStatus').val() || '*'),
                                start_date: ($('#start_date').val() || null),
                                end_date: ($('#end_date').val() || null)
                            });
                        }
                    },
                    columns: [
                        {data: 'user.username', name: 'user.username', orderable: false},
                        {data: 'method.name', name: 'method.name', orderable: false},
                        {data: 'amount', name: 'amount'},
                        {data: 'charge', name: 'charge'},
                        {data: 'status', name: 'status'},
                        {data: 'created_at', name: 'created_at', searchable: false},
                        {data: 'action', name: 'action', orderable: false, searchable: false},
                    ],
                    order: [[0, 'desc']]
                });
                $('.custom-yh-fields-left').html($('#yh-filter-inputs').html())
                $('#date_range').daterangepicker({
                    startDate: start,
                    endDate: end,
                    showDropdowns: true,
                    format: 'DD-MM-YYYY',
                    ranges: {
                        'Today': [moment(), moment()],
                        'Yesterday': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                        'Last 7 Days': [moment().subtract(6, 'days'), moment()],
                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                        'This Month': [moment().startOf('month'), moment().endOf('month')],
                        'Last Month': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')],
                        'This Year': [moment().startOf('year'), moment().endOf('year')],
                        'Last Year': [moment().subtract(1, 'year').startOf('year'), moment().subtract(1, 'year').endOf('year')]
                    }
                }, cb);
                cb(start, end);
            })
        })(jQuery)
    </script>
@endsection
