@extends('user.layouts.master')

@section('content')
    <section class="status-area mt-4 pb-5">
        <div class="container-fluid">
            <div class="status-cards">
                <div class="status-card">
                    <div class="icon">
                        <img src="{{ asset('assets/front_end/images/icon/balance.png') }}" alt="balance"/>
                    </div>
                    <h6>Total Wallets</h6>
                    <h2>{{ Auth::user()->wallets->count() }}</h2>
                </div>
                <div class="status-card">
                    <div class="icon">
                        <img src="{{ asset('assets/front_end/images/icon/avilable.png') }}" alt="avilable"/>
                    </div>
                    <h6>Total Stores</h6>
                    <h2>{{ Auth::user()->stores->count() }}</h2>
                </div>
                <div class="status-card">
                    <div class="icon">
                        <img src="{{ asset('assets/front_end/images/icon/visitor.png') }}" alt="visitor"/>
                    </div>
                    <h6>Pending Withdraw Requests</h6>
                    <h2>{{ $pending_withdraw_requests }}</h2>
                </div>
                <div class="status-card">
                    <div class="icon">
                        <img src="{{ asset('assets/front_end/images/icon/user.png') }}" alt="balance"/>
                    </div>
                    <h6>Your Pending Requests</h6>
                    <h2>{{ $pending_payment_requests }}</h2>
                </div>
                <div class="status-card">
                    <div class="icon">
                        <img src="{{ asset('assets/front_end/images/icon/revenue.png') }}" alt="balance"/>
                    </div>
                    <h6>Total Balance</h6>
                    <h2>{{ $total_balance }}</h2>
                </div>
            </div>
        </div>
    </section>

    <!-- Transaction History Table -->
    <div class="container-fluid mt-4">
        <div class="card">
            <div class="card-body">
                <div class="card-title d-flex align-items-center justify-content-between mb-4">
                    Transaction History
                    <ul
                        class="nav nav-tabs title-right-tab"
                        id="myTab"
                        role="tablist"
                    >
                    </ul>
                </div>

                <div class="tab-content">
                    @if(count($transactions)<=0)
                        <h4 class="text-center text-muted">No Transaction data available</h4>
                    @else
                        <div
                            class="tab-pane fade show active"
                            id="deposit"
                            role="tabpanel"
                            aria-labelledby="deposit-tab"
                        >
                            <div class="custome-table table-responsive">
                                <table class="table-style-2">
                                    <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>Title</th>
                                        <th>Matter</th>
                                        <th>Transaction ID</th>
                                        <th>Type</th>
                                        <th>Amount</th>
                                        <th>Creation Date</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    @foreach($transactions as $index=>$transaction)
                                        <tr>
                                            <td>{{ $index+1 }}</td>
                                            <td>{{ $transaction->title }}</td>
                                            <td>{{ ucfirst(str_replace('_',' ',$transaction->matter)) }}</td>
                                            <td>{{ $transaction->track }}</td>
                                            <td class="font-weight-bold text-success">{{ ($transaction->type == '+') ? 'Add' : 'Deduct' }}</td>
                                            <td>{{ $transaction->amount .' '.$transaction->wallet->currency->symbol }}</td>
                                            <td>{{ $transaction->created_at->format('Y-m-d') }}</td>
                                        </tr>
                                    @endforeach
                                    </tbody>
                                </table>
                            </div>
                            <div class="d-flex justify-content-end mt-4">
                                {!! $transactions->links() !!}
                            </div>
                        </div>
                    @endif
                </div>
            </div>
        </div>
    </div>

@endsection

@section('js_libs')
    <script src="{{ asset('assets/front_end/js/apexcharts.min.js') }}"></script>
    <script src="{{ asset('assets/front_end/js/apexcharts-charts.js') }}"></script>
@endsection
