<!DOCTYPE html>
<html class="no-js" lang="zxx">
<head>
    <meta charset="utf-8" />
    <meta http-equiv="x-ua-compatible" content="ie=edge" />
    <title>{{ env('APP_NAME') }} @yield('title')</title>
    <meta name="description" content="" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <!-- Place favicon.ico in the root directory -->
    <link rel="shortcut icon" type="image/x-icon" href="{{ asset('assets/front_end/img/favicon.png') }}"/>
    <!-- CSS here -->
    @yield('css_libs')
    <link rel="stylesheet" href="{{ asset('assets/front_end/css/bootstrap.min.css') }}" />
    <link rel="stylesheet" href="{{ asset('assets/front_end/css/metisMenu.min.css') }}" />
    <link rel="stylesheet" href="{{ asset('assets/front_end/css/perfect-scrollbar.css') }}" />
    <link rel="stylesheet" href="{{ asset('assets/front_end/css/apexcharts.css') }}" />
    <link rel="stylesheet" href="{{ asset('assets/front_end/css/nice-select.css') }}" />
    <link rel="stylesheet" href="{{ asset('assets/front_end/css/font-awesome.min.css') }}" />
    <link rel="stylesheet" href="{{ asset('assets/front_end/css/default.css') }}" />
    <link rel="stylesheet" href="{{ asset('assets/front_end/css/user-panel/styles.css') }}">
    <link rel="stylesheet" href="{{ asset('assets/front_end/css/user-panel/responsive.css') }}">
    @yield('css')
</head>
<body class="body-color">
<!--[if lte IE 9]>
<p class="browserupgrade">
    You are using an <strong>outdated</strong> browser. Please
    <a href="https://browsehappy.com/">upgrade your browser</a> to improve
    your experience and security.
</p>
<![endif]-->

<!-- Add your site or application content here -->

<!-- overlay -->
<div class="bg-overlay"></div>

<!-- START::header area -->
@include('user.layouts.partials.top-menu')
<!-- END::header area -->

<!-- mobile menu -->
@include('user.layouts.partials.mobile-menu')

<!-- START::breadcrumb area -->
@yield('breadcrumb')
<!-- END::breadcrumb area -->

<main>
    @yield('content')
</main>

@include('user.layouts.partials.footer')

<!-- JS here -->
<script src="{{ asset('assets/front_end/js/jquery-3.5.1.min.js') }}"></script>
<script src="{{ asset('assets/front_end/js/bootstrap.bundle.min.js') }}"></script>
<script src="{{ asset('assets/front_end/js/metisMenu.min.js') }}"></script>
<script src="{{ asset('assets/front_end/js/perfect-scrollbar.min.js') }}"></script>
<script src="{{ asset('assets/front_end/js/jquery.nice-select.min.js') }}"></script>
@yield('js_libs')
<script src="{{ asset('assets/front_end/js/scripts.js') }}"></script>
<script>
    function openMediaManager(callback, type, title, multiple = 0) {
        type = type || 'image'
        title = title || 'FileManager'
        var url = "{{ route('unisharp.lfm.show') }}?type=" + type;
        if (multiple === 1) {
            url += '&multiple=1';
        }
        window.open(url, title, 'width=900,height=600');
        window.SetUrl = callback
    }
</script>
@yield('js')
</body>
</html>
