<header>
    <div class="header-area">
        <div>
            <div class="row align-items-center">
                <div class="col-auto">
                    <div class="logo">
                        <a href="{{ route('dashboard') }}"><img src="{{ get_option('small_logo', config('ui.logo.small')) }}" alt="{{ env('APP_NAME') }}"/></a>
                    </div>
                </div>
                <div class="col d-none d-xxl-block">
                    <ul class="header__nav text-end">
                        <li><a class="{{ request()->is('dashboard') ? 'active' : '' }}" href="{{ route('dashboard') }}">Dashboard</a></li>
                        <li><a class="{{ request()->is('dashboard/wallet') ? 'active' : '' }}" href="{{ route('dashboard.wallet') }}">Wallet</a></li>
                        <li><a class="{{ request()->is('dashboard/transactions') ? 'active' : '' }}" href="{{ route('transaction.index') }}">Transactions</a></li>
                        <li><a class="{{ request()->is('dashboard/withdrawals') ? 'active' : '' }}" href="{{ route('withdrawals.index') }}">Withdraws</a></li>
                        <li><a class="{{ request()->is('dashboard/payment-requests') ? 'active' : '' }}" href="{{ route('payment-requests.index') }}">Payment Requests</a></li>
                        <li><a class="{{ request()->is('dashboard/stores') || request()->is('dashboard/stores/*') ? 'active' : '' }}" href="{{ route('stores.index') }}">Stores</a></li>
                    </ul>
                </div>
                <div class="col-auto d-none d-xxl-block">
                    <ul class="header__nav d-flex justify-content-end align-items-center">
{{--                        <li><a class="{{ request()->is('dashboard/settings') ? 'active' : '' }}" href="{{ route('settings.index') }}">Settings</a></li>--}}
                        <li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                                <img src="{{ !is_null(Auth::user()->avatar) ? Auth::user()->avatar : 'https://www.gravatar.com/avatar/80006a8f675881d1a6786a3721971d8e.jpg?s=200&amp;d=mm' }}" alt="Super Admin" class="rounded-circle img-fluid" style="max-height: 32px">
                                <span class="pro-user-name ml-1">
                                    {{ Auth::user()->full_name }} <i class="mdi mdi-chevron-down"></i>
                                </span>
                            </a>
                            <ul class="dropdown-menu profile-menu" aria-labelledby="navbarDropdown">
                                <li><a class="dropdown-item" href="{{ route('user.profile') }}">My Account</a></li>
                                <li>
                                    <a class="dropdown-item" href="{{ route('user.profile') }}">
                                        <form id="logout-form" action="{{ route('logout') }}" method="POST">
                                            @csrf
                                            <button type="submit">Logout</button>
                                        </form>
                                    </a>
                                </li>
                            </ul>
                        </li>
{{--                        <li>--}}
{{--                            <select name="language" id="currency">--}}
{{--                                @foreach(get_language_list() as $language)--}}
{{--                                    <option value="{{ $language->code }}">{{ $language->name }}</option>--}}
{{--                                @endforeach--}}
{{--                            </select>--}}
{{--                        </li>--}}
                        <li class="nav-item dropdown">
                            <a href="#" role="button" id="userNotification" data-bs-toggle="dropdown" aria-expanded="false">
                                <span class="pro-user-name ml-1"><i class="fa fa-bell-o"></i></span>
                                <span class="badge badge-danger rounded-circle noti-icon-badge">{{ count(Auth::user()->unreadNotifications) }}</span>
                            </a>
                            @if(count(Auth::user()->unreadNotifications)>0)
                                <div class="notify-dropdown dropdown-menu dropdown-menu-lg-end" aria-labelledby="userNotification">
                                    <div class="notify-dropdown-body">
                                        <div class="notify-head">
                                            Notifications
                                            <span><a href="{{ route('clear-all-notifications') }}" class="text-dark">Clear ALL</a></span>
                                        </div>
                                        <ul class="scrollbar">
                                            @foreach(Auth::user()->unreadNotifications as $notification)
                                                <li>
                                                    <a href="{{ route('view-notification', $notification->id) }}">
                                                        <i class="icon fa fa-user-secret"></i>
                                                        <div class="content">
                                                            <h3>{{ $notification->data['title'] ?? '' }}</h3>
                                                            <p>{{ $notification->created_at->diffForHumans() }}</p>
                                                        </div>
                                                    </a>
                                                </li>
                                            @endforeach
                                        </ul>
                                        <div class="view-all">
                                            <a href="{{ route('all-notifications') }}">View ALL</a>
                                        </div>
                                    </div>
                                </div>
                            @endif
                        </li>
                    </ul>
                </div>
                <div class="col  d-block d-xxl-none">
                    <div id="humburger">
                        <i class="fa fa-bars"></i>
                    </div>
                </div>
            </div>
        </div>
    </div>
</header>
