@extends('user.layouts.master')

@section('title', ' | Notifications')

@section('breadcrumb')
    <div class="breadcrumb-area">
        <div class="container">
            <div class="breadcrumb-content">
                <h2><a href="{{ route('dashboard') }}">Dashboard</a> / Notifications</h2>
            </div>
        </div>
    </div>
@endsection

@section('content')
    <div class="pt-100 pb-80">
        <div class="container">
            <div class="notification">
                <div class="table-responsive">
                    <table class="table-style-2 text-center">
                        <thead>
                        <tr>
                            <th>ID</th>
                            <th>Title</th>
                            <th>Message</th>
                            <th>Actions</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($notifications as $index=>$notification)
                            <tr>
                                <td>{{ ($notifications->currentPage()-1)*10 + $index+1 }}</td>
                                <td>{{ $notification->data['title'] ?? '' }}</td>
                                <td>{{ $notification->data['message'] ?? '' }}</td>
                                <td>
                                    <div class="d-flex justify-content-center actions">
                                        <a class="btn btn-sm btn-warning mr-2"
                                           href="{{ route('view-notification', $notification->id) }}"
                                           title="Show Notification">
                                            <i class="fa fa-eye"></i>
                                        </a>
                                    </div>
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
                @if(count($notifications)<=0)
                    <h4 class="text-center text-muted mt-4">No Notification data available</h4>
                @endif
                <div class="d-flex justify-content-end mt-4">
                    {!! $notifications->links() !!}
                </div>
            </div>
        </div>
    </div>
@endsection
