@extends('user.layouts.master')

@section('title', ' | Profile')

{{--@section('breadcrumb')--}}
{{--<div class="breadcrumb-area">--}}
{{--  <div class="container">--}}
{{--    <div class="breadcrumb-content">--}}
{{--      <h2>Profile</h2>--}}
{{--    </div>--}}
{{--  </div>--}}
{{--</div>--}}
{{--@endsection--}}

@section('content')
    <section class="pt-100 pb-100">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-12 col-lg-10">
                    @if ($errors->any())
                        <div class="alert alert-danger">
                            <ul>
                                @foreach ($errors->all() as $error)
                                    <li>{{ $error }}</li>
                                @endforeach
                            </ul>
                        </div>
                    @endif
                    @if (session('success'))
                        <div class="alert alert-success" role="alert">
                            {{ session('success') }}
                        </div>
                    @endif
                    <div class="card">
                        <div class="card-body">
                            <form action="{{ route('user.update-profile') }}" method="POST">
                                @csrf
                                <div class="row">

                                    <div class="col-12 col-lg-5 text-center">
                                        <div class="card-body">
                                            <div class="profile-change">
                                                <input type="hidden" name="avatar" value="{{ Auth::user()->avatar }}" id="avatar">
                                                <label for="image">
                                                    <img src="{{ !is_null(Auth::user()->avatar) ? Auth::user()->avatar : '/assets/front_end/images/profile-thumb.png' }}" alt=""
                                                        id="avatar-preview">
                                                </label>
                                            </div>
                                            <button type="button" class="btn btn-primary mt-4 btn-select">Change</button>
                                        </div>
                                    </div>
                                    <div class="col-12 col-lg-7">
                                        <div class="card-body">
                                            <div class="card-title">General Information</div>

                                            <div class="row mb-3">
                                                <div class="col-md-6">
                                                    <label class="form-label">First Name</label>
                                                    <input type="text" class="form-control" name="first_name"
                                                           value="{{ Auth::user()->first_name }}" required/>
                                                </div>
                                                <div class="col-md-6">
                                                    <label class="form-label">Last Name</label>
                                                    <input type="text" class="form-control" name="last_name"
                                                           value="{{ Auth::user()->last_name }}" required/>
                                                </div>
                                            </div>

                                            <div class="mb-3">
                                                <label class="form-label">Username <span
                                                        class="badge bg-success">Unique</span></label>
                                                <input type="text" class="form-control" name="username"
                                                       value="{{ Auth::user()->username }}" required/>
                                            </div>

                                            <div class="mb-3">
                                                <label class="form-label">Email <span
                                                        class="badge bg-success">Unique</span></label>
                                                <input type="email" class="form-control" name="email"
                                                       value="{{ Auth::user()->email }}" required/>
                                            </div>

                                            <div class="mb-3">
                                                <label class="form-label">Phone Number <span class="badge bg-success">Unique</span></label>
                                                <input type="tel" class="form-control" name="phone"
                                                       value="{{ Auth::user()->phone }}" required/>
                                            </div>

                                            <div class="mb-3">
                                                <label class="form-label">New Password <span class="badge bg-secondary">Optional</span></label>
                                                <input type="password" class="form-control" name="password"/>
                                            </div>

                                            <div class="mb-3">
                                                <label class="form-label">Confirm New Password</label>
                                                <input type="password" class="form-control"
                                                       name="password_confirmation"/>
                                            </div>

                                            <div class="mt-4">
                                                <button type="submit" class="btn btn-primary">Update Profile</button>
                                            </div>
                                        </div>
                                    </div>

                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
@endsection

@section('js')
    <script>
        $(document).on('click', '.btn-select', function (e) {
            e.preventDefault()
            openMediaManager(items => {
                if (items[0] && items[0].hasOwnProperty('url')) {
                    $('#avatar').val(items[0].url)
                }
                if (items[0] && items[0].hasOwnProperty('thumb_url')) {
                    $('#avatar-preview').attr('src', items[0].thumb_url)
                }
            }, 'image', 'Select Avatar')
        })
    </script>
@endsection
