@extends('user.layouts.master')

@section('title', ' | Create Store')

@section('breadcrumb')
    <div class="breadcrumb-area">
        <div class="container">
            <div class="breadcrumb-content">
                <h2><a href="{{ route('dashboard') }}">Dashboard</a> / <a href="{{ route('stores.index') }}">Store</a> / Create</h2>
            </div>
        </div>
    </div>
@endsection

@section('content')
    <div class="pt-100 pb-80">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-12 col-lg-9">
                    @if ($errors->any())
                        <div class="alert alert-danger">
                            <ul>
                                @foreach ($errors->all() as $error)
                                    <li>{{ $error }}</li>
                                @endforeach
                            </ul>
                        </div>
                    @endif
                    @if (session('success'))
                        <div class="alert alert-success" role="alert">
                            {{ session('success') }}
                        </div>
                    @endif
                    <div class="card">
                        <div class="card-body p-3 p-md-5">
                            <div class="card-title mb-4">Create New Store</div>

                            <div class="gauth-settings">
                                <form method="post" action="{{ route('stores.store') }}">
                                    @csrf
                                    <div class="mb-3">
                                        <label class="form-label"><b>Store Name</b></label>
                                        <div class="row align-items-center mb-1">
                                            <div class="col-12">
                                                <input type="text" class="form-control" name="name"/>
                                            </div>
                                        </div>
                                        <label class="form-label mt-3"><b>Supported Payment Gateways</b></label>
                                        <div class="row">
                                            @foreach($paymentGateways as $paymentGateway)
                                                <div class="col-md-4">
                                                    <div class="form-check">
                                                        <input class="form-check-input" name="supported_payment_gateway[]" type="checkbox" value="{{ $paymentGateway->id }}" id="gateway-{{ $paymentGateway->id }}">
                                                        <label class="form-check-label" for="gateway-{{ $paymentGateway->id }}">
                                                            {{ $paymentGateway->name }}
                                                        </label>
                                                    </div>
                                                </div>
                                            @endforeach
                                        </div>
                                    </div>
                                    <button type="submit" class="my-4 btn btn-primary">Create</button>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
