@extends('user.layouts.master')

@section('title', ' | Store Transactions')

@section('breadcrumb')
    <div class="breadcrumb-area">
        <div class="container">
            <div class="breadcrumb-content">
                <h2><a href="{{ route('dashboard') }}">Dashboard</a> / <a href="{{ route('stores.index') }}">Store</a> / Transaction History</h2>
                {{--                <p>--}}
                {{--                    There are many variations of passages of Lorem Ipsum available, but--}}
                {{--                    the majority have suffered alteration in some form, by injected--}}
                {{--                    humour, or randomised words which slightly believable.--}}
                {{--                </p>--}}
            </div>
        </div>
    </div>
@endsection

@section('content')
    <section class="wallet-list pt-100 pb-100">
        <div class="container">
            <div class="tab-content" id="myTabContent">
                <div class="tab-pane fade show active" id="deposit" role="tabpanel" aria-labelledby="deposit-tab">
                    <div class="table-responsive">
                        <table class="table-style-2">
                            <thead>
                            <tr>
                                <th>Title</th>
                                <th>Matter</th>
                                <th>Transaction ID</th>
                                <th>Type</th>
                                <th>Amount</th>
                                <th>Creation Date</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($transactions as $transaction)
                                <tr>
                                    <td>{{ $transaction->title }}</td>
                                    <td>{{ ucfirst(str_replace('_',' ',$transaction->matter)) }}</td>
                                    <td>{{ $transaction->track }}</td>
                                    <td class="font-weight-bold text-success">{{ ($transaction->type == '+') ? 'Add' : 'Deduct' }}</td>
                                    <td>{{ $transaction->amount }}</td>
                                    <td>{{ $transaction->created_at->format('Y-m-d') }}</td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                        @if(count($transactions)<=0)
                            <h4 class="text-center text-muted mt-4">No Store Transactions data available</h4>
                        @endif
                    </div>
                    <div class="d-flex justify-content-end mt-4">
                        {!! $transactions->links() !!}
                    </div>
                </div>
            </div>
        </div>
    </section>
@endsection
