@extends('user.layouts.master')

@section('title', ' | Withdraw')

@section('breadcrumb')
    <div class="breadcrumb-area">
        <div class="container">
            <div class="breadcrumb-content">
                <h2><a href="{{ route('dashboard') }}">Dashboard</a> / <a href="{{ route('dashboard.wallet') }}">My Wallets</a> / Withdraw</h2>
{{--                <p>--}}
{{--                    There are many variations of passages of Lorem Ipsum available, but--}}
{{--                    the majority have suffered alteration in some form, by injected--}}
{{--                    humour, or randomised words which slightly believable.--}}
{{--                </p>--}}
            </div>
        </div>
    </div>
@endsection

@section('content')
    <div class="container">
        <div class="pt-100 pb-100" id="app">
            @if ($errors->any())
                <div class="alert alert-danger">
                    <ul>
                        @foreach ($errors->all() as $error)
                            <li>{{ $error }}</li>
                        @endforeach
                    </ul>
                </div>
            @endif
            @if (session('success'))
                <div class="alert alert-success" role="alert">
                    {{ session('success') }}
                </div>
            @endif
            <div class="card py-5 px-3">
                <form action="{{ route('withdrawals.store') }}" method="POST">
                    @csrf
                    <div class="row justify-content-center">
                        <div class="col-12 col-lg-6">
                            <div class="row">
                                <div class="col-12">
                                    <div class="formInput">
                                        <label for="walletId">Select Wallet</label>
                                        <select class="form-select mb-3" name="wallet_id" id="walletId" v-model="wallet_id">
        {{--                                    @foreach($wallets as $wallet)--}}
        {{--                                        <option value="{{ $wallet->id }}">{{ $wallet->currency->name }}</option>--}}
        {{--                                    @endforeach--}}
                                                <option v-for="(met, metID) in wallets" :key="metID" :value="met.id">
                                                    @{{ met.currency.name }}
                                                </option>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-12">
                                    <div class="formInput">
                                        <label for="withdrawMethodId">Withdrawal Method</label>
                                        <select class="form-select mb-3" name="withdraw_method_id" id="withdrawMethodId" v-model="withdraw_method_id">
        {{--                                    @foreach($methods as $method)--}}
        {{--                                        <option value="{{ $method->id }}">{{ $method->name }}</option>--}}
        {{--                                    @endforeach--}}
                                                <option v-for="(met, metID) in methods" :key="metID" :value="met.id">
                                                    @{{ met.name }}
                                                </option>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-12">

                                </div>
                            </div>
                            <div class="formInput mb-4">
                                <label>Amount</label>
                                <input class="form-control" type="number" name="amount" min="0.01" step="0.01" placeholder="0" v-model="amount"/>
                                <span>Total Charge @{{ charge }} </span>
                            </div>

                            <div class="mb-3">
                                <div class="row" v-if="method && method.inputs">
                                    <div v-for="(field, fieldIndex) in method.inputs" :key="fieldIndex"
                                         class="col-12">
                                        <div class="form-group formInput">
                                            <label :for="'field-' + fieldIndex" class="d-block">@{{ field.title }}</label>
                                            <input type="hidden" :name="'fields[' + fieldIndex + '][input_id]'" v-model="field.id">
                                            <input type="hidden" :name="'fields[' + fieldIndex + '][title]'" v-model="field.title">

                                            <input class="form-control" v-if="field.input_type == 'text'" type="text"
                                                   :name="'fields[' + fieldIndex + '][content]'"
                                                   :required="field.is_required == '1'?true:false"
                                                   :placeholder="field.placeholder">
                                            <input type="file" class="form-control" v-if="field.input_type == 'file'"
                                                   :name="'fields[' + fieldIndex + '][content]'"
                                                   :required="field.is_required == '1'?true:false"
                                                   :placeholder="field.placeholder"
                                            />
                                            <textarea class="form-control" v-if="field.input_type == 'textarea'"
                                                      :name="'fields[' + fieldIndex + '][content]'"
                                                      :required="field.is_required == '1'?true:false"
                                                      :placeholder="field.placeholder"></textarea>
                                            <select class="form-select" v-if="field.input_type == 'select'"
                                                    :name="'fields[' + fieldIndex + '][input_option_id]'"
                                                    :required="field.is_required == '1'?true:false">
                                                <option v-if="field.options"
                                                        v-for="(option, optionIndex) in field.options"
                                                        :key="optionIndex" :value="option.id">@{{ option.title }}
                                                </option>
                                            </select>
                                            <select class="form-select" v-if="field.input_type == 'multiple'"
                                                    :name="'fields[' + fieldIndex + '][input_option_id][]'"
                                                    :required="field.is_required == '1'?true:false" multiple>
                                                <option v-if="field.options"
                                                        v-for="(option, optionIndex) in field.options"
                                                        :key="optionIndex" :value="option.id">@{{ option.title }}
                                                </option>
                                            </select>
                                            <div v-else-if="field.input_type == 'radio' && field.options"
                                                 v-for="(option, optionIndex) in field.options" :key="optionIndex"
                                                 class="form-check form-check-inline">
                                                <input class="form-check-input" type="radio"
                                                       :id="'field-option-' + fieldIndex + '-' + optionIndex"
                                                       :name="'fields[' + fieldIndex + '][input_option_id]'"
                                                       :value="option.id">
                                                <label class="form-check-label"
                                                       :for="'field-option-' + fieldIndex + '-' + optionIndex">@{{
                                                    option.title }}</label>
                                            </div>
                                            <div v-else-if="field.input_type == 'checkbox' && field.options"
                                                 v-for="(option, optionIndex) in field.options" :key="optionIndex"
                                                 class="form-check form-check-inline">
                                                <input class="form-check-input" type="checkbox"
                                                       :id="'field-option-' + fieldIndex + '-' + optionIndex"
                                                       :name="'fields[' + fieldIndex + '][input_option_id][]'"
                                                       :value="option.id">
                                                <label class="form-check-label"
                                                       :for="'field-option-' + fieldIndex + '-' + optionIndex">@{{
                                                    option.title }}</label>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <button class="cbtn" type="submit">Submit</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
@endsection

@section('js_libs')
    <script src="{{ asset('assets/js/vue.js') }}"></script>
@endsection

@section('js')
    <script>
        window.app = new Vue({
            el: '#app',
            data: {
                wallet_id: @json(request()->get('wallet') ?? null),
                wallets: @json($wallets),
                withdraw_method_id: @json(old('withdraw_method_id')??null),
                methods: @json($methods),
                amount: 0,
                fields: @json(old('fields')??[])
            },
            beforeMount() {
                if (!this.withdraw_method_id) {
                    if (this.methods.length) {
                        this.withdraw_method_id = this.methods[0].id
                    }
                }
            },
            components: {
                select2: window.select2Vue
            },
            computed: {
                method() {
                    var method = null
                    const filter = this.methods.filter(method => {
                        return method.id == this.withdraw_method_id
                    });
                    if (filter.length) {
                        method = filter[0]
                        if (method.min !== -1 && this.amount < method.min) {
                            this.amount = method.min
                        }
                        if (method.max !== -1 && this.amount > method.max) {
                            this.amount = method.max
                        }
                    }
                    return method
                },
                wallet() {
                    var wallet = null
                    const filter = this.wallets.filter(wallet => {
                        return wallet.id === this.wallet_id
                    });
                    return wallet
                },
                charge() {
                    if (!this.method) return 0;
                    var percentCharge = (this.amount * this.method.percent_charge) / 100
                    return (percentCharge + this.method.fixed_charge).toFixed({{ config('iwallet.decimals') }})
                },
                isValid() {

                }
            },
            watch: {
                // withdraw_method_id(newVal, oldVal) {
                //     if (this[this.user_type].length) {
                //         this[this.user_type + '_id'] = this[this.user_type][0].id
                //     }
                // }
            }
        })
    </script>
@endsection
