@extends('user.layouts.master')

@section('title', ' | Withdrawals')

@section('breadcrumb')
    <div class="breadcrumb-area">
        <div class="container">
            <div class="breadcrumb-content">
                <h2><a href="{{ route('dashboard') }}">Dashboard</a> / Withdraw History</h2>
                {{--                <p>--}}
                {{--                    There are many variations of passages of Lorem Ipsum available, but--}}
                {{--                    the majority have suffered alteration in some form, by injected--}}
                {{--                    humour, or randomised words which slightly believable.--}}
                {{--                </p>--}}
            </div>
        </div>
    </div>
@endsection

@section('content')
    <section class="wallet-list pt-100 pb-100">
        <div class="container">
            <div class="tab-content" id="myTabContent">
                <div class="tab-pane fade show active" id="deposit" role="tabpanel" aria-labelledby="deposit-tab">
                    <div class="table-responsive">
                        <table class="table-style-2">
                            <thead>
                            <tr>
                                <th>Wallet</th>
                                <th>Withdraw Method</th>
                                <th>Amount</th>
                                <th>Charge</th>
                                <th>Status</th>
                                <th>Creation Date</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($withdrawals as $withdrawal)
                                <tr>
                                    <td>{{ $withdrawal->wallet->currency->name }}</td>
                                    <td>{{ $withdrawal->method->name }}</td>
                                    <td>{{ $withdrawal->wallet->currency->symbol .$withdrawal->amount }}</td>
                                    <td>{{ $withdrawal->wallet->currency->symbol .$withdrawal->charge }}</td>
                                    <td class="font-weight-bold text-success">
                                        @if ($withdrawal->status == 0)
                                            {!! '<span class="text-warning">Pending</span>' !!}
                                        @elseif($withdrawal->status == 1)
                                            {!! '<span class="text-success">Accepted</span>' !!}
                                        @else
                                            {!! '<span class="text-danger">Rejected</span>' !!}
                                        @endif
                                    </td>
                                    <td>{{ $withdrawal->created_at->format('Y-m-d') }}</td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                    </div>
                    @if(count($withdrawals)<=0)
                        <h4 class="text-center text-muted mt-4">No Withdrawals data available</h4>
                    @endif
                    <div class="d-flex justify-content-end mt-4">
                        {!! $withdrawals->links() !!}
                    </div>
                </div>
            </div>

        </div>
    </section>
@endsection
